<article xmlns="http://docbook.org/ns/docbook"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xml:lang="en" xml:id="releasenotes"
  version="5.0">

<info>
  <title>Release Notes for the DocBook XSL Stylesheets</title>
  <pubdate><?dbtimestamp format="Y-m-d"?></pubdate>
  <releaseinfo role="cvs">$Revision: 8934 $ $Date: 2010-11-01 13:03:14 -0700 (Mon, 01 Nov 2010) $</releaseinfo>
  <!-- * <author><orgname>DocBook Project Development Team</orgname></author> -->
<abstract>
<para condition="dot-zero;dot-one-plus">This release-notes
  document is available in the following formats:
  <link
    xlink:href="http://docbook.sourceforge.net/release/xsl/current/RELEASE-NOTES.html"
    >HTML</link>,
  <link
    xlink:href="http://docbook.sourceforge.net/release/xsl/current/RELEASE-NOTES.pdf"
    >PDF</link>,
  <link
    xlink:href="http://docbook.sourceforge.net/release/xsl/current/RELEASE-NOTES.txt"
    >plain text</link>; it provides a per-release list
of enhancements and changes to the stylesheets’ public APIs
(user-configurable parameters) and excludes descriptions of most
bug fixes. For a complete list of all changes (including all bug
fixes) that have been made since the previous release, see the
separate <link xlink:href="NEWS">NEWS</link> (plain text) or <link
  xlink:href="NEWS.html">NEWS.html</link> files. Also available:
An online <link
  xlink:href="http://docbook.svn.sourceforge.net/viewvc/docbook/trunk/xsl/?view=log"
  >hyperlinked change history</link> (warning: big file) of all
changes made over the entire history of the codebase.</para>
<para condition="dot-zero">As with all DocBook Project <link
    linkend="dot0">dot-zero</link> releases, this is an
  experimental release. It will be followed shortly by a stable
  release.</para>
<para condition="dot-one-plus">As with all DocBook Project “dot
  one plus” releases, this release aspires to be stable (in
  contrast to <link linkend="dot0">dot-zero</link> releases, which
  are experimental).</para>
<para condition="snapshot">This is a pre-release “snapshot” of the
DocBook XSL Stylesheets. The change information in the first
section of this file 
(for “<xi:include href="NEWS.xml" xpointer="xpointer(/article/sect1/title/text())"/>”) is
auto-generated from change descriptions stored in the project
source-code repository.</para>
<para condition="snapshot">That means the first section contains
descriptions both of bug fixes and of feature changes. The
remaining sections are manually edited changelog subsets that
exclude bug-fix descriptions – that is, trimmed down to just those
those descriptions that document enhancements and changes to the
public APIs (user-configurable parameters).</para>
</abstract>
</info>

<sect1 condition="snapshot" xml:id="current">
  <xi:include href="NEWS.xml" xpointer="xpointer(/article/sect1/*)"/>
</sect1>
<sect1 xml:id="V1.76.1">
<title>Release Notes: 1.76.1</title>
<para>The following is a list of changes that have been made
        since the 1.76.0 release.</para>

<sect2 xml:id="rnV1.76.1_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.76.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: docbook.xsl; xref.xsl; fop1.xsl</literal></para><screen><phrase role="commit-message">Apply patch to support named destination in fop1.xsl, per Sourceforge
bug report #3029845.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.76.1-->

<sect2 xml:id="rnV1.76.1_HTML">
<title>HTML</title>
<para>The following changes have been made to the <filename>html</filename> code since the 1.76.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: highlight.xsl</literal></para><screen><phrase role="commit-message">Implementing handling for &lt;b&gt; and &lt;i&gt;: transform to &lt;strong&gt; and &lt;em&gt; for XHTML outputs and do not use in the highliting output (per Mauritz Jeanson)</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.76.1-->

<sect2 xml:id="rnV1.76.1_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.76.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: draft.mode.xml</literal></para><screen><phrase role="commit-message">Change default for <parameter>draft.mode</parameter> to 'no'.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.76.1-->


</sect1>
  <sect1 xml:id="V1.76.0">
    <title>Release Notes: 1.76.0</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:</para>
<variablelist>
<varlistentry>
<term>Webhelp</term>
<listitem><para>A new browser-based, cross-platform help format with full-text search and other features typically found in help systems. See <filename>webhelp/docs/content/ch01.html</filename> for more information and a demo. </para></listitem>

</varlistentry>

<varlistentry>
<term>Gentext</term>
<listitem><para>Many updates and additions to translation/locales thanks to Red Hat, the Fedora Project, and other contributors.</para></listitem>
</varlistentry>
<varlistentry>
<term>Common</term>
<listitem><para>Faster localization support, as language files are loaded on demand.</para></listitem>

</varlistentry>
            <varlistentry>
            <term>FO</term>
            <listitem><para>Support for SVG content in <tag>imagedata</tag> added.</para></listitem>
</varlistentry>
            <varlistentry>
            <term>HTML</term>
            <listitem><para>Output improved when using '<parameter>make.clean.html</parameter>' and a stock CSS file is now provided.</para></listitem> 
</varlistentry>
<varlistentry>
<term>EPUB</term>
<listitem><para>A number of improvements to NCX, cover and image selection, and XHTML 1.1 element choices</para></listitem>
</varlistentry>

</variablelist>

    <para>The following is a list of changes that have been made since the 1.75.2 release.</para>
    <sect2 xml:id="rnV1.76.0_Gentext">
      <title>Gentext</title>
      <para>The following changes have been made to the <filename>gentext</filename> code since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>rlandmann: locale/fa.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Update to Persian translation from the Fedora Project</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/nds.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Locale for Low German</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: locale/ka.xml; Makefile</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added support for Georgian based on patch #2917147.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/nl.xml; locale/ja.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated translations from Red Hat and the Fedora Project</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/bs.xml; locale/ru.xml; locale/hr.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated locales from Red Hat and the Fedora Project</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/pt.xml; locale/cs.xml; locale/es.xml; locale/bg.xml; locale/nl.xml; loca⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated translations from Red Hat and the Fedora Project</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/as.xml; locale/bn_IN.xml; locale/ast.xml; locale/ml.xml; locale/te.xml; ⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">New translations from Red Hat and the Fedora Project</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>rlandmann: locale/pt.xml; locale/ca.xml; locale/da.xml; locale/sr.xml; locale/ru.xml; loca⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated translations from Red Hat and the Fedora Project</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Gentext changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_Common">
      <title>Common</title>
      <para>The following changes have been made to the <filename>common</filename> code since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: common.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bug in output-orderedlist-starting-number template (@startingnumber did not work for FO).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: gentext.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added fix to catch ID also of descendants of <tag>listitem</tag>. Closes bug #2955077.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: l10n.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Stripped down, faster version of gentext.template is used when there is no localization customization.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: stripns.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added fix that preserves <tag>link</tag>/@role (makes links in the <tag>reference</tag> documentation
with @role="tcg" work).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: l10n.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bugs related to manpages and L10n.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: entities.ent; autoidx-kosek.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Upgraded to use common entities. Fixed bug when some code used @sortas and some not for grouping/sorting of indexterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: l10n.xsl; l10n.dtd; l10n.xml; autoidx-kosek.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Refactored localization support. Language files are loaded on demand. Speedup is about 30%.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: l10n.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added xsl:keys for improved performance of localization texts look up. Performance gain around 15%.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: titles.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bug #2912677 (error with <tag>xref</tag> in <tag>title</tag>).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: olink.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug in xrefstyle "<tag>title</tag>" handling introduced with 
the 'insert.targetdb.data' template.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: gentext.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug in <tag>xref</tag> to <tag>equation</tag> without <tag>title</tag> to use context="xref-number" instead
of "xref-number-and-title".</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: labels.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Number all equations in one sequence, with or without <tag>title</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: entities.ent</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug #2896909 where duplicate @sortas on indexterms caused 
some indexterms to drop out of <tag>index</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: stripns.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Expand the "Stripping namespace ..." message to advise users to
use the namespaced stylesheets.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: stripns.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">need a local version of $exsl.node.set.available variable because
this module imported many places.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: olink.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added /node() to the select expression that is used to compute the <tag>title</tag> text
so that no &lt;ttl&gt; elements end up in the output. Closes bug #2830119.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Common changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_FO">
      <title>FO</title>
      <para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Robert Stayton: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2979166 able - Attribute @rowheader not working</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: inline.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Improved <tag>glossterm</tag> auto-linking by using keys. The old code was inefficient when processing documents
with many inline glossterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: titlepage.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2805530 <tag>author</tag>/<tag>orgname</tag> not appearing on <tag>title</tag> page.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: graphics.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added support for SVG content in <tag>imagedata</tag> (inspired by patch #2909154).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Removed superfluous test used when computing column-width. Closes bug #3000898.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: inline.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added missing &lt;xsl:call-template name="<tag>anchor</tag>"/&gt;. Closes bug #2998567.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: lists.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added table-layout="fixed" on <tag>segmentedlist</tag> <tag>table</tag> (required by XSL spec when  proportional-column-width() is used).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: autoidx-kosek.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Upgraded to use common entities. Fixed bug when some code used @sortas and some not for grouping/sorting of indexterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: index.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Upgraded to use common entities. Fixed bug when some code used @sortas and some not for grouping/sorting of indexterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: xref.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug in <tag>olink</tag> template when an <tag>olink</tag> has an id.
Add warning message with id value when trying to <tag>link</tag>
to an element that has no generated text.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: refentry.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bug #2930968 (<tag>indexterm</tag> in <tag>refmeta</tag> not handled correctly).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: block.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">fix bug 2949567 <tag>title</tag> in <tag>revhistory</tag> breaks FO transform.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: glossary.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Output id attributes on <tag>glossdiv</tag> blocks so they can be added to
xrefs or <tag>TOC</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: xref.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Enabled hyphenation of URLs when ulink content is the same as <tag>link</tag> target</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Apply patch to turn off <tag>row</tag> recursion if no @morerows attributes present.
This will enable very large tables without <tag>row</tag> spanning to 
process without running into recursion limits.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: formal.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Format <tag>equation</tag> without <tag>title</tag> using <tag>table</tag> layout with <tag>equation</tag> number
next to the <tag>equation</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: param.xweb; param.ent</literal>
          </para>
          <screen>
            <phrase role="commit-message">Add <parameter>equation.number.properties</parameter>.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of FO changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_HTML">
      <title>HTML</title>
      <para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: block.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Modified <tag>acknowledgements</tag> template to avoid invalid output (&lt;p&gt; in &lt;p&gt;).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: titlepage.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added default <tag>sidebar</tag> attribute-sets.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2979166 able - Attribute @rowheader not working</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: footnote.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 3033191 footnotes in html tables.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: inline.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Improved <tag>glossterm</tag> auto-linking by using keys. The old code was inefficient when processing documents
with many inline glossterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: docbook.css.xml; verbatim.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2844927 Validity error for <tag>callout</tag> bugs.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: formal.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Convert formal.object.heading to respect <parameter>make.clean.html</parameter> param.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: titlepage.templates.xml; block.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2840768 <tag>sidebar</tag> without <tag>title</tag> inserts empty b <tag>tag</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Moved the template that outputs &lt;base&gt; so that the base URI also applies to relative CSS paths that come later.
See patch #2896121.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: autoidx-kosek.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Upgraded to use common entities. Fixed bug when some code used @sortas and some not for grouping/sorting of indexterms.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: chunk-code.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">fix bug 2948363 generated <tag>filename</tag> for <tag>refentry</tag> not unique, when
used in a set.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: component.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix missing "<tag>Chapter</tag> n" <tag>label</tag> when use <tag>chapter</tag>/<tag>info</tag>/<tag>title</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message"><tag>Row</tag> recursion turned off if no @morerows attributes in the <tag>table</tag>.
This will prevent failure on long <tag>table</tag> (with no @morerows) due
to excessive depth of recursion.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: autotoc.xsl; docbook.css.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Support <parameter>make.clean.html</parameter> in autotoc.xsl.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: docbook.css.xml; block.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Add support for <parameter>make.clean.html</parameter> setting in block elements.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: docbook.css.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Stock CSS styles for DocBook HTML output when '<parameter>make.clean.html</parameter>' is non-zero.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: html.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Add templates for generating CSS files and links to them.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: param.xweb</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bugs in new entity references.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: chunk-common.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">List of Equations now includes on equations with titles.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: table.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">If a <tag>colspec</tag> has a colname attribute, add it to the HTML <tag>col</tag>
element as a class attribute so it can be styled.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: formal.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2825842 where <tag>table</tag> footnotes not appearing in HTML-coded <tag>table</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: chunktoc.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug #2834826 where <tag>appendix</tag> inside part was not chunked as it should be.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: chunktoc.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added missing namespace declarations. Closes bug #2890069.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: footnote.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated the template for <tag>footnote</tag> paras to use the 'paragraph' template. Closes bug #2803739.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: inline.xsl; lists.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Remove &lt;b&gt; and &lt;i&gt; elements "discouraged in favor of style sheets" from
XHTML, XHTML 1.1 (and therefore EPUB) outputs by changing html2xhtml.xsl.

Fixes bug #2873153: No &lt;b&gt; and &lt;i&gt; tags in XHTML/EPUB

Added regression to EPUB specs:</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: inline.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bug #2844916 (don't output @target if <parameter>ulink.target</parameter> is empty).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: autoidx.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix a bug when using <parameter>index.on.type</parameter>: an '<tag>index</tag> symbols' <tag>section</tag> was created 
even if that typed <tag>index</tag> didn't include any symbols (they were in the other types).</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of HTML changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_Manpages">
      <title>Manpages</title>
      <para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: other.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Modified the write.stubs template so that the <tag>section</tag> directory name is not output twice. Should fix bug #2831602.
Also ensured that $lang is added to the .so path (when <parameter>man.output.lang.in.name.enabled</parameter>=1).</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: docbook.xsl; other.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fixed bug #2412738 (apostrophe escaping) by applying the submitted patch.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Norman Walsh: block.xsl; endnotes.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug where <tag>simpara</tag> in <tag>footnote</tag> didn't work. Patch by Jonathan Nieder, jrnieder@gmail.com</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>dleidert: lists.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix two indentation issues: In the first case there is no corresponding .RS
macro (Debian #519438, sf.net 2793873). In the second case an .RS instead of
the probably intended .sp leads to an indentation bug (Debian #527309,
sf.net #2642139).</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Manpages changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_Epub">
      <title>Epub</title>
      <para>The following changes have been made to the
            <filename>epub</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/examples/AMasqueOfDays.epub; docbook.xsl; bin/spec/epub_spec.rb</literal>
          </para>
          <screen>
            <phrase role="commit-message">Resolve some actual regressions in <tag>date</tag> output spotted by more recent versions of epubcheck</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Updated <tag>mediaobject</tag> selection code that better uses roles (when available); based on contributons by  Glenn McDonald</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Ensure that NCX documents are always outputted with a default namespace
to prevent problems with the kindlegen machinery</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/partintro.xml; docbook.x⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">Adding support for partintros with sect2s, 3s, etc</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Adding param to workaround horrific ADE bug with the inability to process &lt;br&gt;</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Add support for <tag>authorgroup</tag>/<tag>author</tag> in OPF metadata (via Michael Wiedmann)</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb</literal>
          </para>
          <screen>
            <phrase role="commit-message">Remove &lt;b&gt; and &lt;i&gt; elements "discouraged in favor of style sheets" from
XHTML, XHTML 1.1 (and therefore EPUB) outputs by changing html2xhtml.xsl.

Fixes bug #2873153: No &lt;b&gt; and &lt;i&gt; tags in XHTML/EPUB

Added regression to EPUB specs:</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/lib/docbook.rb; bin/spec/files/DejaVuSerif-Italic.otf; docbook.xsl; bi⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">This resolves bug #2873142, Please add support for multiple embedded fonts


If you navigate to a checkout of DocBook-XSL and go to:
xsl/epub/bin/spec/files
You can now run the following <tag>command</tag>:

../../dbtoepub -f DejaVuSerif.otf -f DejaVuSerif-Italic.otf -c test.css
-s test_cust.xsl orm.book.001.xml

In dbtoepub, the following option can be used more than once:
-f, --font [OTF FILE] Embed OTF FILE in .epub.

The underlying stylesheet now accepts a comma-separated list of font file
names rather than just one as the RENAMED epub.embedded.fonts ('s' added).

The runnable EPUB spec now includes:
- should be valid .epub after including more than one embedded font</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Improve the selection of <tag>cover</tag> images when working in DocBook 4.x land (work in progress)</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Improve the quality of the OPF spine regression by ensuring that the spine
elements for deeply nested refentries are in order and adjacent to their
opening wrapper XHTML chunk.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl; bin/spec/files/orm.book.00⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">Add more careful handling of refentries to ensure that they always appear in the opf:spine.
This was only a problem when refentries were pushed deep into the hierarchy (like inside
a <tag>sect2</tag>), but presented navigational problems for many reading systems (despite the
correct NCX references). This may *not* be the best solution, but attacking a better
chunking strategy for refentries was too big a nut to crack at this time.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Epub changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_Eclipse">
      <title>Eclipse</title>
      <para>The following changes have been made to the
            <filename>eclipse</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: eclipse3.xsl</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added a stylesheet module that generates plug-ins conforming to the standard (OSGi-based) Eclipse 3.x 
architecture. The main difference to the older format is that metadata is stored in a separate 
<parameter>manifest</parameter> file. The module imports and extends the existing eclipse.xsl module. Based on code 
contributed in patch #2624668.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Eclipse changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_Params">
      <title>Params</title>
      <para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>Robert Stayton: draft.watermark.image.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Fix bug 2922488 <parameter>draft.watermark.image</parameter> pointing to web resource.
Now the value is images/draft.png, and may require customization
for local resolution.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Mauritz Jeanson: equation.number.properties.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Corrected <tag>refpurpose</tag>.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Norman Walsh: paper.type.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added USlegal and USlegallandscape paper types.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Jirka Kosek: highlight.xslthl.config.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Added note about specifying location as URL</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: docbook.css.source.xml; generate.css.header.xml; custom.css.source.xml; ma⋯</literal>
          </para>
          <screen>
            <phrase role="commit-message">Params to support generated CSS files.</phrase>
          </screen>
        </listitem>
        <listitem>
          <para>
            <literal>Robert Stayton: equation.number.properties.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">New attribute set for numbers appearing next to equations.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of Params changes for 1.76.0-->
    <sect2 xml:id="rnV1.76.0_XSL-Xalan">
      <title>XSL-Xalan</title>
      <para>The following changes have been made to the
            <filename>xsl-xalan</filename> code
            since the 1.75.2 release.</para>
      <itemizedlist>
        <listitem>
          <para>
            <literal>dleidert: nbproject/genfiles.properties; nbproject/build-impl.xml</literal>
          </para>
          <screen>
            <phrase role="commit-message">Rebuild netbeans build files after adding missing Netbeans configuration to allow easier packaging for Debian.</phrase>
          </screen>
        </listitem>
      </itemizedlist>
    </sect2>
    <!--end of XSL-Xalan changes for 1.76.0-->
  </sect1>
<sect1 xml:id="rn_V1.75.2">
<title>Release Notes: 1.75.2</title>
<para>The following is a list of changes that have been made
        since the 1.75.1 release.</para>

<sect2 xml:id="rn_V1.75.2_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the
            <filename>gentext</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>dleidert: locale/ja.xml</literal></para><screen><phrase role="commit-message">Improved Japanese translation for Note(s). Closes bug #2823965.</phrase></screen>
</listitem>
<listitem>
<para><literal>dleidert: locale/pl.xml</literal></para><screen><phrase role="commit-message">Polish alphabet contains O with acute accent, not with grave accent. Closes bug #2823964.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/ja.xml</literal></para><screen><phrase role="commit-message">Fix translation of "<tag>index</tag>", per bug report 2796064.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/is.xml</literal></para><screen><phrase role="commit-message">New Icelandic locale file.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Norman Walsh: stripns.xsl</literal></para><screen><phrase role="commit-message">Support more downconvert cases</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titles.xsl</literal></para><screen><phrase role="commit-message">Make sure <tag>title</tag> inside <tag>info</tag> is used if no other <tag>title</tag>.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: pi.xsl</literal></para><screen><phrase role="commit-message">Turn off dbfo-need for <parameter>fop1.extensions</parameter> also, per bug #2816141.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Output "<tag>Copyright</tag>" heading in XHTML too.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Added stylesheet.result.type test for <tag>copyright</tag>. Closes bug #2813289.</phrase></screen>
</listitem>
<listitem>
<para><literal>Norman Walsh: htmltbl.xsl</literal></para><screen><phrase role="commit-message">Remove ambiguity wrt @span, @rowspan, and @colspan</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: endnotes.xsl</literal></para><screen><phrase role="commit-message">Added normalize-space() for ulink content. Closes bug #2793877.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: docbook.xsl</literal></para><screen><phrase role="commit-message">Added stylesheet.result.type test for <tag>copyright</tag>. Closes bug #2813289.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_Epub">
<title>Epub</title>
<para>The following changes have been made to the
            <filename>epub</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: bin/dbtoepub; bin/lib/docbook.rb</literal></para><screen><phrase role="commit-message">Corrected bugs caused by path and file assumptions were not met</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/lib/docbook.rb; docbook.xsl</literal></para><screen><phrase role="commit-message">Cleaning up hardcoded values into parameters and fixing Ruby library to pass them properly; all thanks to patch from Liza Daly</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Epub changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_Profiling">
<title>Profiling</title>
<para>The following changes have been made to the
            <filename>profiling</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: profile.xsl</literal></para><screen><phrase role="commit-message">Fix bug 2815493 missing <parameter>exsl.node.set.available</parameter> parameter.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Profiling changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_XSL-Saxon">
<title>XSL-Saxon</title>
<para>The following changes have been made to the
            <filename>xsl-saxon</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: src/com/nwalsh/saxon/ColumnUpdateEmitter.java; src/com/nwalsh/saxon/Colum⋯</literal></para><screen><phrase role="commit-message">Added fixes so that colgroups in the XHTML namespace are processed properly.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Saxon changes for 1.75.2-->

<sect2 xml:id="rn_V1.75.2_XSL-Xalan">
<title>XSL-Xalan</title>
<para>The following changes have been made to the
            <filename>xsl-xalan</filename> code
            since the 1.75.1 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: nbproject/project.xml</literal></para><screen><phrase role="commit-message">Added missing NetBeans configuration.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Xalan changes for 1.75.2-->

</sect1>


<sect1 xml:id="rn_V1.75.1">
<title>Release Notes: 1.75.1</title>
<para>This release includes bug fixes.</para>

<para>The following is a list of changes that have been made since the 1.75.0 release.</para>


<sect2 xml:id="rn_V1.75.1_FO">
<title>FO</title>
<para>The following changes have been made to the <filename>fo</filename> code since the 1.75.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: block.xsl</literal></para><screen><phrase role="commit-message">Switching to em dash for character before <tag>attribution</tag> in <tag>epigraph</tag>; resolves Bug #2793878</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Fixed bug 2789947, id attribute missing on <tag>simplelist</tag> fo output.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.75.1-->

<sect2 xml:id="rn_V1.75.1_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.75.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: block.xsl</literal></para><screen><phrase role="commit-message">Switching to em dash for character before <tag>attribution</tag> in <tag>epigraph</tag>; resolves Bug #2793878</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Fixed bug 2789678: apply-templates line accidentally deleted.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.75.1-->

<sect2 xml:id="rn_V1.75.1_Epub">
<title>Epub</title>
<para>The following changes have been made to the
            <filename>epub</filename> code
            since the 1.75.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl</literal></para><screen><phrase role="commit-message">Added regression and fix to correct "bug" with namespace-prefixed container elements in META-INF/container.xml ; resolves Issue #2790017</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/onegraphic.xinclude.xml;⋯</literal></para><screen><phrase role="commit-message">Another attempt at flexible named entity and XInclude processing</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/lib/docbook.rb</literal></para><screen><phrase role="commit-message">Tweaking solution to Bug #2750442 following regression reported by Michael Wiedmann.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Epub changes for 1.75.1-->

<sect2 xml:id="rn_V1.75.1_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.75.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: highlight.source.xml</literal></para><screen><phrase role="commit-message">Updated documentation to reflect changes made in r8419.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.75.1-->

</sect1>


<sect1 xml:id="V1.75.0">
<title>Release Notes: 1.75.0</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:
<variablelist>
<varlistentry>
<term>Gentext</term>
<listitem><para>Modifications to translations have been made. </para></listitem>

</varlistentry>
<varlistentry>
<term>Common</term>
<listitem>
<para>Added support for some format properties on tables using
HTML <tag>table</tag> markup.  </para>
<para>Added two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections
and numbered questions can be distinguished.  Satisfies
Feature Request #1539045.</para>
<para>Added code to handle <tag>acknowledgements</tag> in <tag>book</tag> and part. The element is processed
similarly to <tag>dedication</tag>. All <tag>acknowledgements</tag> will appear as front matter, after
any dedications.</para>
</listitem>
</varlistentry>

<varlistentry>
<term>FO</term>
<listitem>
<para>The inclusion of highlighting code has been simplified.</para>
<para>Add support for pgwide on informal objects.</para>
<para>Added a new parameter, <parameter>bookmarks.collapse</parameter>, that controls the initial <tag>state</tag> of the bookmark tree. Closes FR #1792326.</para>
<para>Add support for more dbfo processing instructions.</para>
<para>Add new <parameter>variablelist.term.properties</parameter> to format terms, per request # 1968513.</para>
<para>Add support for @width on <tag>screen</tag> and <tag>programlisting</tag>, fixes bug #2012736.</para>
<para>Add support for writing-mode="rl-tb" (right-to-left) in FO outputs.  </para>
<para>Add <parameter>writing.mode</parameter> param for FO output.</para>
</listitem>
</varlistentry>
<varlistentry>
<term>HTML</term>
<listitem>
<para>Convert all calls to class.attribute to calls to common.html.attributes to support dir, lang, and <tag>title</tag> attributes in html output for all elements.  Fulfills feature request #1993833.</para>
<para>Inclusion of highlighting code was simplified. Only one import is now necessary.</para>
<para>Add new param <parameter>index.links.to.section</parameter>.</para>
<para>Add support for the new <parameter>index.links.to.section</parameter> param which permits precise links to indexterms in HTML output rather than to the <tag>section</tag> <tag>title</tag>.</para>
</listitem>
</varlistentry>
<varlistentry>
<term>ePub</term>
<listitem>
<para>Slightly more nuanced handling of <tag>imageobject</tag> alternatives and better support in dbtoepub for XIncludes and ENTITYs to resolve Issue #2750442 reported by Raphael Hertzog.</para>
<para>Added a colon after an <tag>abstract</tag>/<tag>title</tag> when mapping into the dc:description for OPF metadata in ePub output to help the flat text have more pseudo-semantics (sugestions from Michael Wiedmann)</para>
<para>Added DocBook <tag>subjectset</tag> -&gt; OPF dc:<tag>subject</tag> mapping and tests</para>
<para>Added DocBook <tag>date</tag> -&gt; OPF dc:date mapping and tests</para>
<para>Added DocBook <tag>abstract</tag> -&gt; OPF dc:description mapping and tests</para>
<para>Added --output option to dbtoepub based on user request</para>
</listitem>

</varlistentry>
<varlistentry>
<term>HTMLHelp</term>
<listitem>
<para>Add support for generating <tag>olink</tag> target <tag>database</tag> for htmlhelp files.</para></listitem>

</varlistentry>

<varlistentry>
<term>Params</term>
<listitem>
<para>Add default setting for @rules attribute on HTML markup tables.</para>
<para>Added a new parameter, <parameter>bookmarks.collapse</parameter>, that controls the initial <tag>state</tag> of the bookmark tree. When the parameter has a non-zero value (the default), only the top-level bookmarks are displayed initially. Otherwise, the whole tree of bookmarks is displayed.  This is implemented for FOP 0.9X. Closes FR #1792326.</para>
<para>Add new <parameter>variablelist.term.properties</parameter> to format terms, per request # 1968513.</para>
<para>Add two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections and numbered questions can be distinguished.  Satisfies Feature Request #1539045.</para>
<para>Add param to control whether an <tag>index</tag> <tag>entry</tag> links to a <tag>section</tag> <tag>title</tag> or to the precise location of the <tag>indexterm</tag>.</para>
<para>New attribute list for <tag>glossentry</tag> in <tag>glossary</tag>.</para>
<para>New parameter to support @width on <tag>programlisting</tag> and <tag>screen</tag>.</para>
<para>Add attribute-sets for formatting <tag>glossary</tag> terms and defs.</para>
</listitem>
</varlistentry>
<varlistentry>
<term>Highlighting</term>
<listitem>
<para>Inclusion of highlighting code was simplified. Only one import is now necessary.</para>
</listitem>

</varlistentry>
</variablelist>


</para>
<para>The following is a list of changes that have been made
        since the 1.74.3 release.</para>

<sect2 xml:id="rn_V1.75.0_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the
            <filename>gentext</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: locale/sv.xml; locale/ja.xml; locale/pl.xml</literal></para><screen><phrase role="commit-message">Check in translations of <tag>Legalnotice</tag> submitted on mailing list.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/es.xml</literal></para><screen><phrase role="commit-message">Fix spelling errors in <tag>Acknowledgements</tag> entries.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/es.xml</literal></para><screen><phrase role="commit-message">Check in translations for 4 elements submitted through docbook-apps
message of 14 April 2009.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: locale/zh.xml; locale/ca.xml; locale/ru.xml; locale/ga.xml; locale/gl.xml; l⋯</literal></para><screen><phrase role="commit-message">Internationalized punctuation in <tag>glosssee</tag> and <tag>glossseealso</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: Makefile</literal></para><screen><phrase role="commit-message">Check in fixes for DSSSL gentext targets from submitted patch #1689633.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/uk.xml</literal></para><screen><phrase role="commit-message">Check in major update submitted with bug report #2008524.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/zh_tw.xml</literal></para><screen><phrase role="commit-message">Check in fix to Note string submitted in bug #2441051.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/ru.xml</literal></para><screen><phrase role="commit-message">Checkin typo fix submitted in bug #2453406.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: gentext.xsl</literal></para><screen><phrase role="commit-message">Fix extra generated space when xrefstyle includes 'nopage'.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message">Add support for some format properties on tables using
HTML <tag>table</tag> markup.  These include:
  - frame attribute on <tag>table</tag> (or uses $default.table.frame parameter).
  - rules attribute on <tag>table</tag> (or uses $default.table.rules parameter).
  - align attribute on <tag>td</tag> and <tag>th</tag>
  - valign attribute on <tag>td</tag> and <tag>th</tag>
  - colspan on <tag>td</tag> and <tag>th</tag>
  - rowspan on <tag>td</tag> and <tag>th</tag>
  - bgcolor on <tag>td</tag> and <tag>th</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: olink.xsl</literal></para><screen><phrase role="commit-message">Add placeholder template to massage <tag>olink</tag> hot text to make
customization easier, per Feature Request 1828608.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: targets.xsl</literal></para><screen><phrase role="commit-message">Add support for collecting <tag>olink</tag> targets from a <tag>glossary</tag>
generated from a <parameter>glossary.collection</parameter>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titles.xsl</literal></para><screen><phrase role="commit-message">Handle <tag>firstterm</tag> like <tag>glossterm</tag> in mode="title.markup".</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titles.xsl</literal></para><screen><phrase role="commit-message">Add match on <tag>info</tag>/<tag>title</tag> in title.markup templates where missing.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Changed "ancestor::<tag>title</tag>" to "(ancestor::<tag>title</tag> and (@id or @xml:id))".
This enables proper formatting of inline elements in titles in TOCs, 
as long as these inlines don't have id or xml:id attributes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: labels.xsl</literal></para><screen><phrase role="commit-message">Add two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections
and numbered questions can be distinguished.  Satisfies
Feature Request #1539045.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: stripns.xsl; pi.xsl</literal></para><screen><phrase role="commit-message">Convert function-available(exsl:node-set) to use the new param
so Xalan bug is isolated.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Added fixes for bugs #2112656 and #1759205:
1. Reverted mistaken commits r7485 and r7523. 
2. Updated the template with match="<tag>link</tag>" and mode="no.anchor.mode" so that 
@endterm is used if it exists and if the <tag>link</tag> has no content.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Added code to handle <tag>acknowledgements</tag> in <tag>book</tag> and part. The element is processed
similarly to <tag>dedication</tag>. All <tag>acknowledgements</tag> will appear as front matter, after
any dedications.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: olink.xsl</literal></para><screen><phrase role="commit-message">Fix bug #2018717 <parameter>use.local.olink.style</parameter> uses wrong gentext context.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: olink.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1787167 incorrect hot text for some olinks.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: common.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1669654 Broken output if <tag>copyright</tag> &lt;<tag>year</tag>&gt; contains a range.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: labels.xsl</literal></para><screen><phrase role="commit-message">Fix bug in labelling <tag>figure</tag> inside <tag>appendix</tag> inside <tag>article</tag> inside <tag>book</tag>.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Jirka Kosek: highlight.xsl</literal></para><screen><phrase role="commit-message">Inclusion of highlighting code was simplified. Only one import is now necessary.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: fop1.xsl</literal></para><screen><phrase role="commit-message">Add the new fop extensions namespace declaration, in case FOP
extension functions are used.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: formal.xsl</literal></para><screen><phrase role="commit-message">Add support for pgwide on informal objects.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: docbook.xsl</literal></para><screen><phrase role="commit-message">Fixed spurious closing <tag>quote</tag> on line 134.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: docbook.xsl; autoidx-kosek.xsl; autoidx.xsl</literal></para><screen><phrase role="commit-message">Convert function-available for node-set() to use
new $exsl.node.set.available param in test.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: xref.xsl</literal></para><screen><phrase role="commit-message">Suppress extra space after <tag>xref</tag> when xrefstyle='select: <tag>label</tag> nopage' (#2740472)</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Fixed doc bug for row-height.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: glossary.xsl</literal></para><screen><phrase role="commit-message">Internationalized punctuation in <tag>glosssee</tag> and <tag>glossseealso</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent; htmltbl.xsl; table.xsl</literal></para><screen><phrase role="commit-message">Add support for some format properties on tables using
HTML <tag>table</tag> markup.  These include:
  - frame attribute on <tag>table</tag> (or uses $default.table.frame parameter).
  - rules attribute on <tag>table</tag> (or uses $default.table.rules parameter).
  - align attribute on <tag>td</tag> and <tag>th</tag>
  - valign attribute on <tag>td</tag> and <tag>th</tag>
  - colspan on <tag>td</tag> and <tag>th</tag>
  - rowspan on <tag>td</tag> and <tag>th</tag>
  - bgcolor on <tag>td</tag> and <tag>th</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message">Add support bgcolor in <tag>td</tag> and <tag>th</tag>
elements in HTML <tag>table</tag> markup.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: htmltbl.xsl</literal></para><screen><phrase role="commit-message">Add support for colspan and rowspan and bgcolor in <tag>td</tag> and <tag>th</tag>
elements in HTML <tag>table</tag> markup.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb</literal></para><screen><phrase role="commit-message">Fix working of page-master left and right margins.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: param.xweb; param.ent; fop1.xsl</literal></para><screen><phrase role="commit-message">Added a new parameter, <parameter>bookmarks.collapse</parameter>, that controls the initial <tag>state</tag> of the bookmark tree. When the parameter has a non-zero value (the default), only the top-level bookmarks are displayed initially. Otherwise, the whole tree of bookmarks is displayed.  This is implemented for FOP 0.9X. Closes FR #1792326.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl; pi.xsl</literal></para><screen><phrase role="commit-message">Add support for dbfo row-height processing instruction, like that in dbhtml.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Add support for dbfo keep-together processing instruction for
entire list instances.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl; block.xsl</literal></para><screen><phrase role="commit-message">Add support fo dbfo keep-together processing instruction to
more blocks like list items and paras.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add new <parameter>variablelist.term.properties</parameter> to format terms, per request # 1968513.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl</literal></para><screen><phrase role="commit-message">In simple.xlink, rearrange order of processing.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Handle <tag>firstterm</tag> like <tag>glossterm</tag> in mode="xref-to".</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossary.xsl; xref.xsl; pi.xsl; footnote.xsl</literal></para><screen><phrase role="commit-message">Implement simple.xlink for <tag>glosssee</tag> and <tag>glossseealso</tag> so they can use
other types of linking besides otherterm.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qandaset.xsl</literal></para><screen><phrase role="commit-message">Add two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections and numbered questions can be distinguished.  Satisfies Feature Request #1539045.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titlepage.xsl</literal></para><screen><phrase role="commit-message">For the <tag>book</tag> <tag>title</tag> templates, I changed <tag>info</tag>/<tag>title</tag> to <tag>book</tag>/<tag>info</tag>/<tag>title</tag>
so other element's titles will not be affected.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl; verbatim.xsl</literal></para><screen><phrase role="commit-message">Use param <parameter>exsl.node.set.available</parameter> to test for <tag>function</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent; footnote.xsl</literal></para><screen><phrase role="commit-message">Start using new param <parameter>exsl.node.set.available</parameter> to work around Xalan bug.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titlepage.templates.xml</literal></para><screen><phrase role="commit-message">Add comment on use of t:predicate for <tag>editor</tag> to prevent
extra processing of multiple editors. Fixes bug 2687842.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl; autoidx.xsl</literal></para><screen><phrase role="commit-message">An <tag>indexterm</tag> <tag>primary</tag>, <tag>secondary</tag>, or <tag>tertiary</tag> element with an id or xml:id
now outputs that ID, so that <tag>index</tag> entries can be cross referenced to.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: synop.xsl</literal></para><screen><phrase role="commit-message">Added modeless template for ooclass|oointerface|ooexception.
Closes bug #1623468.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Add template with match on <tag>indexterm</tag> in mode="xref-to" to fix bug 2102592.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Now <tag>xref</tag> to <tag>qandaentry</tag> will use the <tag>label</tag> element in a <tag>question</tag> for
the <tag>link</tag> text if it has one.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl</literal></para><screen><phrase role="commit-message">Add id if specified from @id to output for <tag>quote</tag> and <tag>phrase</tag> so
they can be <tag>xref</tag>'ed to.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Add support for <tag>xref</tag> to <tag>phrase</tag>, <tag>simpara</tag>, <tag>anchor</tag>, and <tag>quote</tag>.
This assumes the <tag>author</tag> specifies something using xrefstyle since
the elements don't have ordinary <tag>link</tag> text.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: toc.xsl</literal></para><screen><phrase role="commit-message">Fix bug in new <tag>toc</tag> templates.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl; component.xsl; division.xsl; xref.xsl; titlepage.templates⋯</literal></para><screen><phrase role="commit-message">Added code to handle <tag>acknowledgements</tag> in <tag>book</tag> and part. The element is processed
similarly to <tag>dedication</tag>. All <tag>acknowledgements</tag> will appear as front matter, after
any dedications.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: toc.xsl</literal></para><screen><phrase role="commit-message">Rewrite <tag>toc</tag> templates to support an empty <tag>toc</tag> or populated <tag>toc</tag>
in all permitted contexts.  Same for lot elements.
This fixes bug #1595969 for FO outputs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: index.xsl</literal></para><screen><phrase role="commit-message">Fix indents for <tag>seealsoie</tag> so they are consistent.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: param.xweb</literal></para><screen><phrase role="commit-message">Removed duplicate (<parameter>monospace.font.family</parameter>).</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add <parameter>glossentry.list.item.properties</parameter>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add <parameter>monospace.verbatim.font.width</parameter> param to support @width on <tag>programlisting</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: verbatim.xsl</literal></para><screen><phrase role="commit-message">Put <tag>programlisting</tag> in fo:block-container with writing-mode="lr-tb"
when text direction is right to left because all program languages
are left-to-right.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: verbatim.xsl</literal></para><screen><phrase role="commit-message">Add support for @width on <tag>screen</tag> and <tag>programlisting</tag>, fixes bug #2012736.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1973585 <tag>xref</tag> to <tag>para</tag> with xrefstyle not handled correctly.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: block.xsl</literal></para><screen><phrase role="commit-message">Added support for <tag>acknowledgements</tag> in <tag>article</tag>.
Support in <tag>book</tag>/part remains to be added.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1787167 incorrect hot text for some olinks.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: fo.xsl</literal></para><screen><phrase role="commit-message">Add writing-mode="tb-rl" as well since some XSL-FO processors support it.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autotoc.xsl; lists.xsl; glossary.xsl; fo.xsl; table.xsl; pagesetup.xsl</literal></para><screen><phrase role="commit-message">Add support for writing-mode="rl-tb" (right-to-left) in FO outputs.
Changed instances of margin-left to margin-{$direction.align.start}
and margin-right to margin-{$direction.align.end}. Those direction.align
params are computed from the writing mode value in each locale's
gentext key named 'writing-mode', introduced in 1.74.3 to add
right-to-left support to HTML outputs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add attribute-sets for formatting <tag>glossary</tag> terms and defs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add <parameter>writing.mode</parameter> param for FO output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autotoc.xsl</literal></para><screen><phrase role="commit-message">Fix bug 1546008: in <tag>qandaentry</tag> in a <tag>TOC</tag>, use its blockinfo/<tag>titleabbrev</tag> or blockinfo/<tag>title</tag>
instead of <tag>question</tag>, if available. For DocBook 5, use the <tag>info</tag> versions.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">Add better pointer to README for XSLTHL</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">More tweaking the way that XSLTHL does or does not get called</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">Alternate attempt at sanely including/excluding XSLTHT code</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Removed redundant lang and <tag>title</tag> attributes on list element inside
div element for lists.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl; titlepage.xsl; division.xsl; toc.xsl; sections.xsl; table.xsl;⋯</literal></para><screen><phrase role="commit-message">Convert all calls to class.attribute to calls to common.html.attributes
to support dir, lang, and <tag>title</tag> attributes in html output for all elements.
Fulfills feature request #1993833.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: chunk-common.xsl</literal></para><screen><phrase role="commit-message">Fix bug #2750253 wrong links in list of figures in chunk.html
when target html is in a subdirectory and dbhtml <tag>filename</tag> used.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: highlight.xsl</literal></para><screen><phrase role="commit-message">Inclusion of highlighting code was simplified. Only one import is now necessary.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: chunk-common.xsl; chunktoc.xsl; docbook.xsl; chunk-changebars.xsl; autoidx⋯</literal></para><screen><phrase role="commit-message">Convert function-available for node-set() to use
new $exsl.node.set.available param in test.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Fixed doc bug for row-height.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: glossary.xsl</literal></para><screen><phrase role="commit-message">Internationalized punctuation in <tag>glosssee</tag> and <tag>glossseealso</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl; html.xsl; block.xsl</literal></para><screen><phrase role="commit-message">More elements get common.html.attributes.
Added locale.html.attributes template which does the lang,
dir, and <tag>title</tag> attributes, but not the class attribute
(used on <tag>para</tag>, for example).</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Replace more <tag>literal</tag> class atts with mode="class.attribute" to support
easier customization.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossary.xsl</literal></para><screen><phrase role="commit-message">Support olinking in <tag>glosssee</tag> and <tag>glossseealso</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl</literal></para><screen><phrase role="commit-message">In simple.xlink, rearrange order of processing.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Handle <tag>firstterm</tag> like <tag>glossterm</tag> in mode="xref-to".</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl; html.xsl; block.xsl</literal></para><screen><phrase role="commit-message">Added template named common.html.attributes to output
class, <tag>title</tag>, lang, and dir for most elements.
Started adding it to some list and block elements.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qandaset.xsl</literal></para><screen><phrase role="commit-message">Add two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections
and numbered questions can be distinguished.  Satisfies
Feature Request #1539045.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; chunk-code.xsl; param.ent; xref.xsl; chunkfast.xsl; verbatim.x⋯</literal></para><screen><phrase role="commit-message">Use new param <parameter>exsl.node.set.available</parameter> to test, handles Xalan bug.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autoidx.xsl</literal></para><screen><phrase role="commit-message">Use named anchors for <tag>primary</tag>, <tag>secondary</tag>, and <tag>tertiary</tag> ids so
duplicate entries with different ids can still have an id output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add new param <parameter>index.links.to.section</parameter>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl; autoidx.xsl</literal></para><screen><phrase role="commit-message">Pass through an id on <tag>primary</tag>, <tag>secondary</tag>, or <tag>tertiary</tag> to 
the <tag>index</tag> <tag>entry</tag>, so that one could <tag>link</tag> to an <tag>index</tag> <tag>entry</tag>.
You can't <tag>link</tag> to the id on an <tag>indexterm</tag> because that is
used to place the main <tag>anchor</tag> in the text flow.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autoidx.xsl</literal></para><screen><phrase role="commit-message">Add support for the new <parameter>index.links.to.section</parameter> param which permits
precise links to indexterms in HTML output rather than to
the <tag>section</tag> <tag>title</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: synop.xsl</literal></para><screen><phrase role="commit-message">Added modeless template for ooclass|oointerface|ooexception.
Closes bug #1623468.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qandaset.xsl</literal></para><screen><phrase role="commit-message">Make sure a <tag>qandaset</tag> has an <tag>anchor</tag>, even when it has no <tag>title</tag>, 
because it may be referenced in a <tag>TOC</tag> or <tag>xref</tag>.
Before, the <tag>anchor</tag> was output by the <tag>title</tag>, but there was no
<tag>anchor</tag> if there was no <tag>title</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Add a template for <tag>indexterm</tag> with mode="xref-to" to fix bug 2102592.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: xref.xsl</literal></para><screen><phrase role="commit-message">Now <tag>xref</tag> to <tag>qandaentry</tag> will use the <tag>label</tag> element in a <tag>question</tag> for
the <tag>link</tag> text if it has one.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qandaset.xsl; html.xsl</literal></para><screen><phrase role="commit-message">Create separate templates for computing <tag>label</tag> of <tag>question</tag> and <tag>answer</tag>
in a <tag>qandaentry</tag>, so such can be used for the <tag>alt</tag> text of an <tag>xref</tag>
to a <tag>qandaentry</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl; xref.xsl</literal></para><screen><phrase role="commit-message">Now support <tag>xref</tag> to <tag>phrase</tag>, <tag>simpara</tag>, <tag>anchor</tag>, and <tag>quote</tag>,
most useful when an xrefstyle is used.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: toc.xsl</literal></para><screen><phrase role="commit-message">Rewrite <tag>toc</tag> templates to support an empty <tag>toc</tag> or populated <tag>toc</tag>
in all permitted contexts.  Same for lot elements.
This fixes bug #1595969 for HTML outputs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl; component.xsl; division.xsl; xref.xsl; titlepage.templates⋯</literal></para><screen><phrase role="commit-message">Added code to handle <tag>acknowledgements</tag> in <tag>book</tag> and part. The element is processed
similarly to <tag>dedication</tag>. All <tag>acknowledgements</tag> will appear as front matter, after
any dedications.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: index.xsl</literal></para><screen><phrase role="commit-message">Rewrote <tag>primaryie</tag>, <tag>secondaryie</tag> and <tag>tertiaryie</tag> templates to handle
nesting of elements and <tag>seeie</tag> and <tag>seealsoie</tag>, as reported in
bug # 1168912.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autotoc.xsl</literal></para><screen><phrase role="commit-message">Fix <tag>simplesect</tag> in <tag>toc</tag> problem.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: verbatim.xsl</literal></para><screen><phrase role="commit-message">Add support for @width per bug report #2012736.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: formal.xsl; htmltbl.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1787140 HTML tables not handling attributes correctly.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb</literal></para><screen><phrase role="commit-message">Move writing-mode param.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: refentry.xsl</literal></para><screen><phrase role="commit-message">Remove a nesting of &lt;p&gt; inside &lt;p&gt; for <tag>refclass</tag> (made XHTML* invalid, made HTML silly)</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1945872 to allow passthrough of colwidth values to
HTML <tag>table</tag> when no <parameter>tablecolumns.extension</parameter> is available and
when no instance of * appears in the <tag>table</tag>'s colspecs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: block.xsl</literal></para><screen><phrase role="commit-message">Added support for <tag>acknowledgements</tag> in <tag>article</tag>.
Support in <tag>book</tag>/part remains to be added.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: chunk-common.xsl</literal></para><screen><phrase role="commit-message">Fix bug #1787167 incorrect hot text for some olinks.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qandaset.xsl</literal></para><screen><phrase role="commit-message">Fix bug 1546008: in <tag>qandaentry</tag> in a <tag>TOC</tag>, use its blockinfo/<tag>titleabbrev</tag> or blockinfo/<tag>title</tag>
instead of <tag>question</tag>, if available. For DocBook 5, use the <tag>info</tag> versions.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: chunktoc.xsl</literal></para><screen><phrase role="commit-message">Add support for generating <tag>olink</tag> <tag>database</tag> when using chunktoc.xsl.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">Add better pointer to README for XSLTHL</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">Another stab at fixing the stupid XSLTHT includes across processors (Saxon regression reported by Sorin Ristache)</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">More tweaking the way that XSLTHL does or does not get called</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: verbatim.xsl</literal></para><screen><phrase role="commit-message">Alternate attempt at sanely including/excluding XSLTHT code</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message">Convert function-available test for node-set() <tag>function</tag> to
test of $exsl.node.set.available param.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: lists.xsl</literal></para><screen><phrase role="commit-message">Added a template for <tag>bibliolist</tag>. Closes bug #1815916.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_Epub">
<title>ePub</title>
<para>The following changes have been made to the
            <filename>epub</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/onegraphic.xinclude.xml;⋯</literal></para><screen><phrase role="commit-message">Slightly more nuanced handling of <tag>imageobject</tag> alternatives and better support in dbtoepub for XIncludes and ENTITYs to resolve Issue #2750442 reported by Raphael Hertzog.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">Add a colon after an <tag>abstract</tag>/<tag>title</tag> when mapping into the dc:description for OPF metadata in ePub output to help the flat text have more pseudo-semantics (sugestions from Michael Wiedmann)</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl; bin/spec/files/de.xml</literal></para><screen><phrase role="commit-message">Correctly set dc:language in OPF metadata when i18nizing. Closes Bug #2755150</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; docbook.xsl</literal></para><screen><phrase role="commit-message">Corrected namespace declarations for <tag>literal</tag> XHTML elements to make them serialize "normally"</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">Be a little bit more nuanced about dates</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_realbook_spec.rb; bin/spec/files/orm.book.001.x⋯</literal></para><screen><phrase role="commit-message">Add DocBook <tag>subjectset</tag> -&gt; OPF dc:<tag>subject</tag> mapping and tests</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_realbook_spec.rb; bin/spec/files/orm.book.001.x⋯</literal></para><screen><phrase role="commit-message">Add DocBook <tag>date</tag> -&gt; OPF dc:date mapping and tests</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_realbook_spec.rb; bin/spec/files/orm.book.001.x⋯</literal></para><screen><phrase role="commit-message">Add DocBook <tag>abstract</tag> -&gt; OPF dc:description mapping and tests</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: docbook.xsl</literal></para><screen><phrase role="commit-message">Check in patch submitted by user to add opf:file-as attribute
to dc:creator element.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/dbtoepub</literal></para><screen><phrase role="commit-message">Adding --output option to dbtoepub based on user request</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_spec.rb</literal></para><screen><phrase role="commit-message">Cleaning and regularizing the generation of namespaced nodes for OPF, NCX, XHTML and other outputted filetypes (hat <tag>tip</tag> to bobstayton for pointing out the silly, incorrect code)</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/refclass.xml</literal></para><screen><phrase role="commit-message">Remove a nesting of &lt;p&gt; inside &lt;p&gt; for <tag>refclass</tag> (made XHTML* invalid, made HTML silly)</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/blockquotepre.xml</literal></para><screen><phrase role="commit-message">Added regression test and fix for XHTML validation problem with &lt;a&gt;s added inside &lt;<tag>blockquote</tag>&gt;; This potentially causes another problem (where something is referenced by has no <tag>anchor</tag>, but someone reporting that should cause the whole &lt;a id='thing'/&gt; thing to be reconsidered with modern browsers in mind.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Epub changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_HTMLHelp">
<title>HTMLHelp</title>
<para>The following changes have been made to the
            <filename>htmlhelp</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: htmlhelp-common.xsl</literal></para><screen><phrase role="commit-message">Add support for generating <tag>olink</tag> target <tag>database</tag> for htmlhelp files.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTMLHelp changes for 1.75.0-->


<sect2 xml:id="rn_V1.75.0_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: default.table.rules.xml</literal></para><screen><phrase role="commit-message">Add default setting for @rules attribute on HTML markup tables.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: bookmarks.collapse.xml</literal></para><screen><phrase role="commit-message">Added a new parameter, <parameter>bookmarks.collapse</parameter>, that controls the initial <tag>state</tag> 
of the bookmark tree. When the parameter has a non-zero value (the default), 
only the top-level bookmarks are displayed initially. Otherwise, the whole 
tree of bookmarks is displayed. 

This is implemented for FOP 0.9X. Closes FR #1792326.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: variablelist.term.properties.xml</literal></para><screen><phrase role="commit-message">Add new <parameter>variablelist.term.properties</parameter> to format terms, per 
request # 1968513.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: qanda.defaultlabel.xml</literal></para><screen><phrase role="commit-message">Add two new <parameter>qanda.defaultlabel</parameter> values so that numbered sections
and numbered questions can be distinguished.  Satisfies
Feature Request #1539045.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: index.links.to.section.xml</literal></para><screen><phrase role="commit-message">Change default to 1 to match past behavior.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: exsl.node.set.available.xml</literal></para><screen><phrase role="commit-message">Isolate this text for Xalan bug regarding exsl:node-set available.
If it is ever fixed in Xalan, just fix it here.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: index.links.to.section.xml</literal></para><screen><phrase role="commit-message">Add param to control whether an <tag>index</tag> <tag>entry</tag> links to
a <tag>section</tag> <tag>title</tag> or to the precise location of the
<tag>indexterm</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossentry.list.item.properties.xml</literal></para><screen><phrase role="commit-message">New attribute list for <tag>glossentry</tag> in <tag>glossary</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: monospace.verbatim.font.width.xml</literal></para><screen><phrase role="commit-message">New parameter to support @width on <tag>programlisting</tag> and <tag>screen</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: highlight.source.xml</literal></para><screen><phrase role="commit-message">Updated and reorganized the description.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: page.margin.outer.xml; page.margin.inner.xml</literal></para><screen><phrase role="commit-message">Add caveat about XEP bug when writing-mode is right-to-left.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: article.appendix.title.properties.xml; writing.mode.xml; body.start.indent⋯</literal></para><screen><phrase role="commit-message">Change 'left' to 'start' and 'right' to 'end' to support right-to-left
writing mode.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossdef.block.properties.xml; glossdef.list.properties.xml; glossterm.blo⋯</literal></para><screen><phrase role="commit-message">Add attribute-sets for formatting <tag>glossary</tag> terms and defs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossterm.separation.xml</literal></para><screen><phrase role="commit-message">Clarify the description.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: make.year.ranges.xml</literal></para><screen><phrase role="commit-message">Now handles <tag>year</tag> element containing a comma or dash without error.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_Highlighting">
<title>Highlighting</title>
<para>The following changes have been made to the
            <filename>highlighting</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Jirka Kosek: README</literal></para><screen><phrase role="commit-message">Inclusion of highlighting code was simplified. Only one import is now necessary.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: README</literal></para><screen><phrase role="commit-message">Adding XSLTHL readme</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: common.xsl</literal></para><screen><phrase role="commit-message">Alternate attempt at sanely including/excluding XSLTHT code</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Highlighting changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_XSL-Saxon">
<title>XSL-Saxon</title>
<para>The following changes have been made to the
            <filename>xsl-saxon</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: src/com/nwalsh/saxon/Text.java</literal></para><screen><phrase role="commit-message">Added a fix that prevents output of extra blank line.
Hopefully this closes bug #894805.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Saxon changes for 1.75.0-->

<sect2 xml:id="rn_V1.75.0_XSL-Xalan">
<title>XSL-Xalan</title>
<para>The following changes have been made to the
            <filename>xsl-xalan</filename> code
            since the 1.74.3 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: src/com/nwalsh/xalan/Text.java</literal></para><screen><phrase role="commit-message">Added a fix that prevents output of extra blank line.
Hopefully this closes bug #894805.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Xalan changes for 1.75.0-->


</sect1>

<sect1 xml:id="V1.74.3">
<title>Release Notes: 1.74.3</title>
<para>This release fixes some bugs in the 1.74.2 release.</para>
<para>See <filename>highlighting/README</filename> for XSLTHL usage instructions.</para>
</sect1>
<sect1 xml:id="V1.74.2">
<title>Release Notes: 1.74.2</title>
<para>This release fixes some bugs in the 1.74.1 release.</para>
</sect1>

<sect1 xml:id="V1.74.1">
<title>Release Notes: 1.74.1</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:
<variablelist>
<varlistentry>
<term>Gentext</term>
<listitem><para>Kirghiz locale added and Chinese translations have been simplified.</para></listitem>
<listitem><para>Somme support for gentext and right-to-left languages has been added.</para></listitem>
</varlistentry>
<varlistentry>
<term>FO</term>
<listitem><para>Various bugs have been resolved. </para> </listitem>
<listitem><para>Support for a new processing instruction: <markup>dbfo funcsynopsis-style</markup> has been added.  </para> </listitem>
<listitem><para>Added new param <parameter>email.mailto.enabled</parameter> for FO output. Patch from Paolo Borelli.  </para>
</listitem>
<listitem><para>Support for documented metadata in fop1 mode has been added. </para>
</listitem>

</varlistentry>
<varlistentry>
<term>Highlighting</term>
<listitem><para>Support for the latest version of XSLTHL 2.0 and some new language syntaxes have been added to a variety of outputs.</para></listitem>

</varlistentry>

<varlistentry>
<term>Manpages</term>
<listitem><para>Added man.output.better.ps.enabled param (zero default). It non-zero, no such
markup is embedded in generated man pages, and no enhancements are
included in the PostScript output generated from those man pages
by the man -Tps <tag>command</tag>.</para></listitem>

</varlistentry>


<varlistentry>
<term>HTML</term>
<listitem><para>Support for <parameter>writing.mode</parameter> to set text direction and <parameter>alignment</parameter> based on document locale has been added.</para></listitem>
<listitem>
<para>Added a new top-level stylesheet module, chunk-changebars.xsl, to be 
used for generating chunked output with highlighting based on change 
(@revisionflag) markup. The module imports/includes the standard chunking 
and changebars templates and contains additional logic for chunked output.
See FRs #1015180 and #1819915.</para>
</listitem>

</varlistentry>
<varlistentry>
<term>ePub</term>
<listitem>
<para>Covers now look better in Adobe Digital Editions thanks to a patch from Paul Norton of Adobe</para>
</listitem>
<listitem><para>Cover handling now more generic (including limited DocBook 5.0 <markup>cover</markup> support thanks to patch contributed by Liza Daly.</para> </listitem>
<listitem><para>Cover markup now carries more reliably into files destined for .mobi and the Kindle.</para> </listitem>
<listitem><para><markup>dc:identifiers</markup> are now generated from more types of numbering schemes. </para></listitem>
<listitem><para>Both SEO and semantic structure of chunked ePub output by ensuring that we always send out one and only one h1 in each XHTML chunk.</para></listitem>
<listitem>
<para>Primitive support for embedding a single font added.</para>
</listitem>
<listitem>
<para>Support for embedding a CSS customizations added.</para>
</listitem>

</varlistentry>

<varlistentry>
<term>Roundtrip</term>

<listitem>
<para>Support for imagedata-metadata and <tag>table</tag> as images added.</para>
</listitem>
<listitem>
<para>Support for imagedata-metadata and <tag>legalnotice</tag> as images added.</para>
</listitem>
</varlistentry>

<varlistentry>
<term>Params</term>
<listitem><para><parameter>man.output.better.ps.enabled</parameter> added for Manpages output </para></listitem>
<listitem>
<para><parameter>writing.mode.xml</parameter> added to set text direction.</para>
</listitem>
<listitem>
<para>Added new param <parameter>email.mailto.enabled</parameter> for FO output.
Patch from Paolo Borelli. Closes #2086321.</para>
</listitem>
<listitem>
<para><parameter>highlight.source</parameter> upgraded to support the latest version of XSLTHL 2.0.</para>
</listitem>

</varlistentry>



</variablelist>
</para>
<para>The following is a list of changes that have been made since the 1.74.0 release.</para>


<sect2 xml:id="summary_V1.74.1_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the <filename>gentext</filename> code since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: locale/ky.xml; Makefile</literal></para><screen><phrase role="commit-message">new Kirghiz locale from Ilyas Bakirov</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: locale/en.xml</literal></para><screen><phrase role="commit-message">Added "<tag>Acknowledgements</tag>".</phrase></screen>
</listitem>
<listitem>
<para><literal>Dongsheng Song: locale/zh_cn.xml</literal></para><screen><phrase role="commit-message">Simplified Chinese translation.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/lv.xml; locale/ca.xml; locale/pt.xml; locale/tr.xml; locale/af.xml;⋯</literal></para><screen><phrase role="commit-message">Add writing-mode gentext string to support right-to-left languages.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_FO">
<title>FO</title>
<para>The following changes have been made to the <filename>fo</filename> code since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>David Cramer: footnote.xsl</literal></para><screen><phrase role="commit-message">Added a check to confirm that a <tag>footnoteref</tag>'s linkend points to a <tag>footnote</tag>. Stylesheets stop processing if not and provide a useful error message.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: spaces.xsl</literal></para><screen><phrase role="commit-message">Convert spaces to fo:leader also in elements in the DB 5 namespace.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl; synop.xsl</literal></para><screen><phrase role="commit-message">Added support for a new processing instruction: dbfo funcsynopsis-style. 
Closes bug #1838213.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Added new param <parameter>email.mailto.enabled</parameter> for FO output.
Patch from Paolo Borelli. Closes #2086321.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: docbook.xsl</literal></para><screen><phrase role="commit-message">Added support for document metadata for fop1 (patch #2067318).</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: param.ent; param.xweb; highlight.xsl</literal></para><screen><phrase role="commit-message">Upgraded to support the latest version of XSLTHL 2.0
 -- nested markup in highlited code is now processed
 -- it is no longer needed to specify path XSLTHL configuration file using Java property
 -- support for new languages, including Perl, Python and Ruby was added</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_HTML">
<title>HTML</title>
<para>The following changes have been made to the <filename>html</filename> code since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: param.xweb; docbook.xsl; param.ent; html.xsl</literal></para><screen><phrase role="commit-message">Add support for <parameter>writing.mode</parameter> to set text direction and <parameter>alignment</parameter> based on document locale.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: chunk-changebars.xsl</literal></para><screen><phrase role="commit-message">Added a new top-level stylesheet module, chunk-changebars.xsl, to be 
used for generating chunked output with highlighting based on change 
(@revisionflag) markup. The module imports/includes the standard chunking 
and changebars templates and contains additional logic for chunked output.
See FRs #1015180 and #1819915.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the <filename>manpages</filename> code since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">Put the following at the top of generated roff for each page:
  \" t
purpose is to explicitly tell AT&amp;T troff that the page needs to be
pre-processed through tbl(1); groff can <tag>figure</tag> it out
automatically, but apparently AT&amp;T troff needs to be explicitly told</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_Epub">
<title>ePub</title>
<para>The following changes have been made to the <filename>epub</filename> code since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">Patch from Paul Norton of Adobe to get covers to look better in Adobe Digital Editions</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/epub_regressions_spec.rb; bin/spec/files/v5cover.xml; bin/spec/sp⋯</literal></para><screen><phrase role="commit-message">Patch contributed by Liza Daly to make ePub <tag>cover</tag> handling more generic. Additionally
DocBook 5.0's &lt;<tag>cover</tag>&gt; now has some limited support:

- should <tag>reference</tag> a <tag>cover</tag> in the OPF guide for a DocBook 5.0 test document</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/files/isbn.xml; bin/spec/files/issn.xml; bin/spec/files/biblioid.⋯</literal></para><screen><phrase role="commit-message">Liza Daly reported that the dc:identifer-generation code was garbage (she was right).

Added new tests:
- should include at least one dc:identifier
- should include an ISBN as URN for dc:identifier if an ISBN was in the metadata
- should include an ISSN as URN for dc:identifier if an ISSN was in the metadata
- should include an <tag>biblioid</tag> as a dc:identifier if an <tag>biblioid</tag> was in the metadata
- should include a URN for a <tag>biblioid</tag> with @class attribute as a dc:identifier if an <tag>biblioid</tag> was in the metadata</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_spec.rb</literal></para><screen><phrase role="commit-message">Improve both SEO and  semantic structure of chunked ePub output by ensuring that
we always send out one and only one h1 in each XHTML chunk.

DocBook::Epub
- should include one and only one &lt;h1&gt; in each HTML file in rendered ePub files
for &lt;<tag>book</tag>&gt;s
- should include one and only one &lt;h1&gt; in each HTML file in rendered ePub files
for &lt;<tag>book</tag>&gt;s even if they do not have <tag>section</tag> markup</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl; bin/spec/epub_realbook_spec.rb; bin/spec/files/orm.book.001.x⋯</literal></para><screen><phrase role="commit-message">Adding better support for covers in epub files destined for .mobi and the Kindle</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/dbtoepub; bin/lib/docbook.rb; bin/spec/files/DejaVuSerif.otf; docbook.⋯</literal></para><screen><phrase role="commit-message">Adding primitive support for embedding a single font</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/dbtoepub; bin/lib/docbook.rb; bin/spec/files/test_cust.xsl; bin/spec/e⋯</literal></para><screen><phrase role="commit-message">Adding support for user-specified customization layers in dbtoepub</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/dbtoepub; bin/spec/epub_regressions_spec.rb; bin/lib/docbook.rb; bin/s⋯</literal></para><screen><phrase role="commit-message">Adding CSS support to .epub target &amp; dbtoepub:
    -c, --css [FILE]                 Use FILE for CSS on generated XHTML.


DocBook::Epub
...
- should include a CSS <tag>link</tag> in HTML files when a CSS file has been provided
- should include CSS file in .epub when a CSS file has been provided
- should include a CSS <tag>link</tag> in OPF file when a CSS file has been provided</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Epub changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_Roundtrip">
<title>Roundtrip</title>
<para>The following changes have been made to the
            <filename>roundtrip</filename> code
            since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; template.xml; template.dot</literal></para><screen><phrase role="commit-message">added support for imagedata-metadata
added support for <tag>table</tag> as images</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; normalise2sections.xsl; sections2blocks.xsl</literal></para><screen><phrase role="commit-message">Improved support for <tag>personname</tag> inlines.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; blocks2dbk.dtd; template.xml</literal></para><screen><phrase role="commit-message">Added support for <tag>legalnotice</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; wordml2normalise.xsl</literal></para><screen><phrase role="commit-message">added support for <tag>orgname</tag> in <tag>author</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: specifications.xml; supported.xml; blocks2dbk.xsl; wordml2normalise.xsl; dbk2w⋯</literal></para><screen><phrase role="commit-message">Updated specification.
to-DocBook: add cols attribute to <tag>tgroup</tag>
from-DocBook: fix for <tag>blockquote</tag> <tag>title</tag></phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Roundtrip changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_Params">
<title>Params</title>
<para>The following changes have been made to the <filename>params</filename> since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para>The change was to add man.output.better.ps.enabled parameter, with
its default value set to zero.

If the value of the man.output.better.ps.enabled parameter is
non-zero, certain markup is embedded in each generated man page
such that PostScript output from the man -Tps <tag>command</tag> for that
page will include a number of enhancements designed to improve the
quality of that output.

If man.output.better.ps.enabled is zero (the default), no such
markup is embedded in generated man pages, and no enhancements are
included in the PostScript output generated from those man pages
by the man -Tps <tag>command</tag>.

WARNING: The enhancements provided by this parameter rely on
features that are specific to groff (GNU troff) and that are not
part of "classic" AT&amp;T troff or any of its derivatives. Therefore,
any man pages you generate with this parameter enabled will be
readable only on systems on which the groff (GNU troff) program is
installed, such as GNU/Linux systems.  The pages will not not be
readable on systems on with the classic troff (AT&amp;T troff) <tag>command</tag>
is installed.

NOTE: The value of this parameter only affects PostScript output
generated from the man <tag>command</tag>. It has no effect on output
generated using the FO backend.

<tag>TIP</tag>: You can generate PostScript output for any man page by
running the following <tag>command</tag>:

man FOO -Tps &gt; FOO.ps

You can then generate PDF output by running the following <tag>command</tag>:

ps2pdf FOO.ps</para>
</listitem>
<listitem>
<para><literal>Robert Stayton: writing.mode.xml</literal></para><screen><phrase role="commit-message">writing mode param used to set text direction.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: email.mailto.enabled.xml</literal></para><screen><phrase role="commit-message">Added new param <parameter>email.mailto.enabled</parameter> for FO output.
Patch from Paolo Borelli. Closes #2086321.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: highlight.source.xml; highlight.xslthl.config.xml</literal></para><screen><phrase role="commit-message">Upgraded to support the latest version of XSLTHL 2.0
 -- nested markup in highlited code is now processed
 -- it is no longer needed to specify path XSLTHL configuration file using Java property
 -- support for new languages, including Perl, Python and Ruby was added</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.74.1-->

<sect2 xml:id="summary_V1.74.1_Highlighting">
<title>Highlighting</title>
<para>The following changes have been made to the
            <filename>highlighting</filename> code
            since the 1.74.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Jirka Kosek: cpp-hl.xml; c-hl.xml; tcl-hl.xml; php-hl.xml; common.xsl; perl-hl.xml; delphi⋯</literal></para><screen><phrase role="commit-message">Upgraded to support the latest version of XSLTHL 2.0
 -- nested markup in highlited code is now processed
 -- it is no longer needed to specify path XSLTHL configuration file using Java property
 -- support for new languages, including Perl, Python and Ruby was added</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Highlighting changes for 1.74.1-->

</sect1>


<sect1 xml:id="V1.74.0">
<title>Release Notes: 1.74.0</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:
<variablelist>
<varlistentry>
<term>.epub target</term>
<listitem><para>Paul Norton (Adobe) and Keith Fahlgren(O'Reilly Media) have donated code that generates <filename>.epub</filename> documents from
DocBook input. An alpha-reference implementation in Ruby has also been provided.</para>
<para>.epub is an open standard of the The International Digital Publishing Forum (IDPF), 
a the trade and standards association for the digital publishing industry. </para> 
<para>Read more about this target in <filename>epub/README</filename>
</para></listitem>
</varlistentry>

<varlistentry>
<term>XHTML 1.1 target</term>
<listitem><para>To support .epub output, a strict XHTML 1.1 target has been added. The stylesheets for this output are
generated and are quite similar to the XHTML target.</para></listitem>
</varlistentry>
<varlistentry>
<term>Gentext updates</term>
<listitem><para>A number of locales have been updated.</para></listitem>
</varlistentry>
<varlistentry>
<term>Roundtrip improvements</term>
<listitem><para>Table, figure, template syncronization, and character style improvements have been made for WordML &amp; Pages. Support added for OpenOffice.org.</para></listitem>

</varlistentry>

<varlistentry>
    <term>First implementation of a libxslt extension</term>
    <listitem>
      <para>A stylesheet extension for libxslt, written in Python, has been added. 
      The extension is a function for adjusting column widths in CALS tables. See 
      <filename>extensions/README.LIBXSLT</filename> for more information.</para>
    </listitem>
 </varlistentry>

</variablelist>
</para>
<para>The following is a list of changes that have been made
        since the 1.73.2 release.</para>

<sect2 xml:id="V1.74.0_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the
            <filename>gentext</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: locale/id.xml</literal></para><screen><phrase role="commit-message">Checked in changes to Indonesion locale submitted by Euis Luhuanam a long time ago.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/lt.xml</literal></para><screen><phrase role="commit-message">Added changes to Lithuanian locate submitted a long time back by Nikolajus Krauklis.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/hu.xml</literal></para><screen><phrase role="commit-message">fixed error in lowercase.alpha definition in Hungarian locale</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/nb.xml</literal></para><screen><phrase role="commit-message">Corrected language code for nb locale, and restored missing "startquote" key.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/ja.xml</literal></para><screen><phrase role="commit-message">Committed changes to ja locale file, from Akagi Kobayashi. Adds bracket quotes around many xref instances that did not have them
before.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile</literal></para><screen><phrase role="commit-message">"no" locale is now "nb"</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/nb.xml</literal></para><screen><phrase role="commit-message">Update Norwegian Bokmål translation. Thanks to Hans F. Nordhaug.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/no.xml; locale/nb.xml</literal></para><screen><phrase role="commit-message">per message from Hans F. Nordhaug, correct identifier for
Norwegian Bokmål is "nb" (not "no") and has been for quite some
time now...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/ja.xml</literal></para><screen><phrase role="commit-message">Converted ja.xml source file to use real unicode characters so
that the actual glyphs so up when you edit it in a text editor
(instead of the character references).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/ja.xml</literal></para><screen><phrase role="commit-message">Checked in changes to ja.xml locale file. Thanks to Akagi Kobayashi.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/it.xml</literal></para><screen><phrase role="commit-message">Changes from Federico Zenith</phrase></screen>
</listitem>
<listitem>
<para><literal>Dongsheng Song: locale/zh_cn.xml</literal></para><screen><phrase role="commit-message">Added missing translations.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: l10n.xsl</literal></para><screen><phrase role="commit-message">Added new template "l10.language.name" for retrieving the
English-language name of the lang setting of the current document.
Closes #1916837. Thanks to Simon Kennedy.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">fixed syntax error</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">fixed a couple of typos</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">refined handling of cases where refentry "source" or "manual"
metadata is missing or when we use fallback content instead. We
now report a Warning if we use fallback content.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">don't use refmiscinfo@class=date value as fallback for refentry
"source" or "manual" metadata fields</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">Made reporting of missing refentry metadata more quiet:

  - we no longer report anything if usable-but-not-preferred
    metadata is found; we just quietly use whatever we manage to
    find

  - we now only report missing "source" metadata if the refentry
    is missing BOTH "source name" and "version" metadata; if it
    has one but not the other, we use whichever one it has and
    don't report anything as missing

The above changes were made because testing with some "real world"
source reveals that some authors are intentionally choosing to use
"non preferred" markup for some metadata, and also choosing to
omit "source name" or "version" metadata in there DocBook XML. So
it does no good to give them pedantic reminders about what they
already know...

Also, changed code to cause "fixme" text to be inserted in output
in particular cases:

  - if we can't manage to find any "source" metadata at all, we
    now put fixme text into the output

  - if we can't manage to find any "manual" metadata a all, we 
    now put fixme text into the output

The "source" and "manual" metadata is necessary information, so
buy putting the fixme stuff in the output, we alert users to the
need problem of it being missing.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">When generating manpages output, we no longer report anything if
the refentry source is missing date or pubdate content. In
practice, many users intentionally omit the date from the source
because they explicitly want it to be generated.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: l10n.xml</literal></para><screen><phrase role="commit-message">further change needed for switch from no locale to nb.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: common.xsl</literal></para><screen><phrase role="commit-message">Added support for orgname in authorgroup. Thanks to Camille
Bégnis.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile</literal></para><screen><phrase role="commit-message">"no" locale is now "nb"</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: stripns.xsl</literal></para><screen><phrase role="commit-message">Removed the template matching "ng:link|db:link" (in order to make @xlink:show 
work with &lt;link&gt; elements). As far as I can tell, this template is no longer needed.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: entities.ent</literal></para><screen><phrase role="commit-message">Moved declaration of comment.block.parents entity to common/entities.ent.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Added an update the fix made in revision 7528 (handling of xref/link in no.anchor.mode mode).
Having xref in title is not a problem as long as the target is not an ancestor element. 
Closes bug #1838136.

Note that an xref that is in a title and whose target is an ancestor element is still not 
rendered in the TOC. This could be considered a bug, but on the other hand I cannot really
see the point in having such an xref in a document.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Added a "not(ancestor::title)" test to work around "too many nested 
apply-templates" problems when processing xrefs or links in no.anchor.mode mode.
Hopefully, this closes bug #1811721.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Removed old template matching "link" in no.anchor.mode mode.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">Process &lt;link&gt; in no.anchor.mode mode with the same template as &lt;xref&gt;. 
Closes bug #1759205 (Empty link in no.anchor.mode mode).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titles.xsl</literal></para><screen><phrase role="commit-message">In no.anchor.mode mode, do not output anchors for elements that are descendants 
of &lt;title&gt;. Previously, having inline elements with @id/@xml:id in &lt;title&gt;s 
resulted in anchors both in the TOC and in the main flow. Closes bug #1797492.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.74.0-->

<sect2 xml:id="V1.74.0_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem> <para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Updated documentation for keep-together.</phrase></screen> </listitem>
<listitem> <para><literal>Mauritz Jeanson: task.xsl</literal></para><screen><phrase role="commit-message">Enabled use of the keep-together PI on <tag>task</tag> elements.</phrase></screen> </listitem>
<listitem>
<para><literal>Robert Stayton: index.xsl</literal></para><screen><phrase role="commit-message">FOP1 requires fo:wrapper for inline index entries, not fo:inline.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: index.xsl</literal></para><screen><phrase role="commit-message">Fixed non-working inline.or.block template for indexterm wrappers.
Add fop1 to list of processors using inline.or.block.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: table.xsl</literal></para><screen><phrase role="commit-message">Fixed bug #1891965 (colsep in entytbl not working).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Added support for title in revhistory. Closes bug #1842847.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Small doc cleanup (dbfo float-type).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Insert commas between multiple copyright holders.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: autotoc.xsl; division.xsl</literal></para><screen><phrase role="commit-message">Added modifications to support nested set elements. See bug #1853172.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: glossary.xsl</literal></para><screen><phrase role="commit-message">Added normalize-space to xsl:sorts to avoid missorting of glossterms due to stray leading spaces.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: glossary.xsl</literal></para><screen><phrase role="commit-message">Fixed bug #1854199: glossary.xsl should use the sortas attribute on glossentry</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Added a template for citebiblioid. The hyperlink target is the parent of the referenced biblioid,
and the "hot text" is the biblioid itself enclosed in brackets.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Moved declaration of comment.block.parents entity to common/entities.ent.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: docbook.xsl</literal></para><screen><phrase role="commit-message">Updated message about unmatched element.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: param.xweb</literal></para><screen><phrase role="commit-message">Added link to profiling chapter of TCG.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: refentry.xsl</literal></para><screen><phrase role="commit-message">Fixed typo (refsynopsysdiv -&gt; refsynopsisdiv).</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: fop.xsl; fop1.xsl; ptc.xsl; xep.xsl</literal></para><screen><phrase role="commit-message">Added test to check generate.index param when generating pdf bookmarks</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: graphics.xsl</literal></para><screen><phrase role="commit-message">Added support for MathML in imagedata.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: math.xsl</literal></para><screen><phrase role="commit-message">Removed unnecessary extra test condition in test express that
checks for passivetex.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: math.xsl</literal></para><screen><phrase role="commit-message">Don't use fo:instream-foreign-object if we are processing with
passivetex. Closes #1806899. Thanks to Justus Piater.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: component.xsl</literal></para><screen><phrase role="commit-message">Added code to output a TOC for an appendix in an article when 
generate.toc='article/appendix toc'. Closes bug #1669658.</phrase></screen>
</listitem>
<listitem>
<para><literal>Dongsheng Song: biblio-iso690.xsl</literal></para><screen><phrase role="commit-message">Change encoding from "windows-1250" to "UTF-8".</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Updated documentation for dbfo_label-width.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: lists.xsl</literal></para><screen><phrase role="commit-message">Added support for the dbfo_label-width PI in calloutlists.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: biblio.xsl</literal></para><screen><phrase role="commit-message">Support finding glossary database entries inside bibliodivs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: formal.xsl</literal></para><screen><phrase role="commit-message">Complete support for &lt;?dbfo pgwide="1"?&gt; for informal
elements too.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: table.xsl</literal></para><screen><phrase role="commit-message">In the table.block template, added a check for the dbfo_keep-together PI, so that 
a table may break (depending on the PI value) at a page break. This was needed 
since the outer fo:block that surrounds fo:table has keep-together.within-column="always" 
by default, which prevents the table from breaking. Closes bug #1740964 (Titled 
table does not respect dbfo PI).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Added a few missing @role="tcg".</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Use normalize-space() in glossterm comparisons (as in html/inline.xsl).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: autoidx.xsl</literal></para><screen><phrase role="commit-message">Removed the [&amp;scope;] predicate from the target variable in the template with name="reference".
This filter was the cause of missing index backlinks when @zone and @type were used on indexterms,
with index.on.type=1. Closes bug #1680836.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl; xref.xsl; footnote.xsl</literal></para><screen><phrase role="commit-message">Added capability in FO output for displaying URLs for all
hyperlinks (elements marked up with xlink:href attributes) in the
same way as URLs for ulinks are already handled (which is to say,
either inline or as numbered footnotes).

Background on this change:
DocBook 5 allows "ubiquitous" linking, which means you can make
any element a hyperlink just by adding an xlink:href attribute to
it, with the value set to an external URL. That's in contrast to
DocBook 4, which only allows you to use specific elements (e.g.,
the link and ulink elements) to mark up hyperlinks.

The existing FO stylesheets have a mechanism for handling display
of URLs for hyperlinks that are marked up with ulink, but they did
not handle display of URLs for elements that were marked up with
xlink:href attributes. This change adds handling for those other
elements, enabling the URLs they link to be displayed either
inline or as numbered footnotes (depending on what values the user
has the ulink.show and ulink.footnotes params set to).

Note that this change only adds URL display support for elements
that call the simple.xlink template -- which currently is most
(but not all) inline elements.

This change also moves the URL display handling out of the ulink
template and into a new "hyperlink.url.display" named template;
the ulink template and the simple.xlink named template now both
call the hyperlink.url.display template.

Warning: In the stylesheet code that determines what footnote
number to assign to each footnote or external hyperlink, there is
an XPath expression for determining whether a particular
xlink:href instance is an external hyperlink; that expression is
necessarily a bit complicated and further testing may reveal that
it doesn't handle all cases as expected -- so some refinements to
it may need to be done later.

Closes #1785519. Thanks to Ken Morse for reporting and
troubleshooting the problem.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.74.0-->

<sect2 xml:id="V1.74.0_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem> <para><literal>Keith Fahlgren: inline.xsl; synop.xsl</literal></para><screen><phrase role="commit-message">Work to make HTML and XHTML targets more valid</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: table.xsl</literal></para><screen><phrase role="commit-message">Add better handling for tables that have footnotes in the titles</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: biblio.xsl</literal></para><screen><phrase role="commit-message">Add anchors to bibliodivs</phrase></screen> </listitem>
<listitem>
<para><literal>Keith Fahlgren: formal.xsl; Makefile; htmltbl.xsl</literal></para><screen><phrase role="commit-message">Initial checkin/merge of epub target from work provided by Paul Norton of Adobe
and Keith Fahlgren of O'Reilly.</phrase></screen>
<para>This change includes new code for generating the XHTML 1.1 target sanely.</para>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: biblio.xsl</literal></para><screen><phrase role="commit-message">Added code for creating URLs from biblioids with @class="doi" (representing Digital 
Object Identifiers). See FR #1934434 and http://doi.org.

To do: 1) Add support for FO output. 2) Figure out how @class="doi" should be handled 
for bibliorelation, bibliosource and citebiblioid.</phrase></screen>
</listitem>
<listitem>
<para><literal>Norman Walsh: formal.xsl</literal></para><screen><phrase role="commit-message">Don't use xsl:copy because it forces the resulting element to be in the same namespace as the source element; in the XHTML stylesheets, that's wrong. But the HTML-to-XHTML converter does the right thing with literal result elements, so use one of them.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile</literal></para><screen><phrase role="commit-message">Added checks and hacks to various makefiles to enable building
under Cygwin. This stuff is ugly and maybe not worth the mess and
trouble, but does seem to work as expected and not break anything
else.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">added "exslt" namespace binding to html/docbook.xsl file (in
addition to existing "exsl" binding. reason is because lack of it
seems to cause processing problems when using the profiled
version of the stylsheet</phrase></screen>
</listitem>
<listitem>
<para><literal>Norman Walsh: chunk-common.xsl</literal></para><screen><phrase role="commit-message">Rename link</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: table.xsl</literal></para><screen><phrase role="commit-message">Added a fix to make rowsep apply to the last row of thead in entrytbl.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl</literal></para><screen><phrase role="commit-message">Simplified and streamlined handling of output for ANSI-style
funcprototype output, to correct a problem that was causing type
data to be lost in the output parameter definitions. For example,
for an instance like this:
  &lt;paramdef&gt;void *&lt;parameter&gt;dataptr&lt;/parameter&gt;[]&lt;/paramdef&gt;
... the brackets (indicating an array type) were being dropped.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl</literal></para><screen><phrase role="commit-message">Changed HTML handling of K&amp;R-style paramdef output. The parameter
definitions are no longer output in a table (though the prototype
still is). The reason for the change is that the
kr-tabular-funcsynopsis-mode template was causing type data to be
lost in the output parameter definitions. For example, for an
instance like this:
  &lt;paramdef&gt;void *&lt;parameter&gt;dataptr&lt;/parameter&gt;[]&lt;/paramdef&gt;
... the brackets (indicating an array type) were being dropped.
The easiest way to deal with the problem is to not try to chop up
the parameter definitions and display them in table format, but to
instead just output them as-is. May not look quite as pretty, but
at least we can be sure no information is being lost...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: pi.xsl</literal></para><screen><phrase role="commit-message">updated wording of doc for funcsynopsis-style PI</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: param.xweb; param.ent; synop.xsl</literal></para><screen><phrase role="commit-message">Removed the funcsynopsis.tabular.threshold param. It's no longer
being used in the code and hasn't been since mid 2006.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: graphics.xsl</literal></para><screen><phrase role="commit-message">Added support for the img.src.path parameter for SVG graphics. Closes bug #1888169.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: chunk-common.xsl</literal></para><screen><phrase role="commit-message">Added missing space.</phrase></screen>
</listitem>
<listitem>
<para><literal>Norman Walsh: component.xsl</literal></para><screen><phrase role="commit-message">Fix bug where component titles inside info elements were not handled properly</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: pi.xsl</literal></para><screen><phrase role="commit-message">Moved dbhtml_stop-chunking embedded doc into alphabetical order,
fixed text of TCG section it see-also'ed.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: pi.xsl</literal></para><screen><phrase role="commit-message">Added support for &lt;?dbhtml stop-chunking?&gt; processing instruction</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: chunk-common.xsl; pi.xsl</literal></para><screen><phrase role="commit-message">Added support for &lt;?dbhtml stop-chunking?&gt; processing instruction</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: glossary.xsl</literal></para><screen><phrase role="commit-message">Fixed bug #1854199: glossary.xsl should use the sortas attribute on glossentry. Also added normalize-space to avoid missorting due to stray leading spaces.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Added a template for citebiblioid. The hyperlink target is the parent of the referenced biblioid,
and the "hot text" is the biblioid itself enclosed in brackets.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Added support for @xlink:show in the simple.xlink template. The "new" and "replace" 
values are supported (corresponding to values of "_blank" and "_top" for the 
ulink.target parameter). I have assumed that @xlink:show should override ulink.target
for external URI links. This closes bugs #1762023 and #1727498.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Moved declaration of comment.block.parents entity to common/entities.ent.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: param.xweb</literal></para><screen><phrase role="commit-message">Added link to profiling chapter of TCG.</phrase></screen>
</listitem>
<listitem>
<para><literal>Dongsheng Song: biblio-iso690.xsl</literal></para><screen><phrase role="commit-message">Change encoding from "windows-1250" to "UTF-8".</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: biblio.xsl</literal></para><screen><phrase role="commit-message">Add support in biblio collection to entries in bibliodivs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Added missing @role="tcg".</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: chunk-common.xsl; titlepage.xsl</literal></para><screen><phrase role="commit-message">Refactored legalnotice/revhistory chunking, so that the use.id.as.filename 
parameter as well as the dbhtml_filename PI are taken into account. A new named
template in titlepage.xsl is used to compute the filename.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: chunk-common.xsl; titlepage.xsl</literal></para><screen><phrase role="commit-message">An update to the fix for bug #1790495 (r7433):
The "ln-" prefix is output only when the legalnotice doesn't have an
@id/@xml:id, in which case the stylesheets generate an ID value, 
resulting in a filename like "ln-7e0fwgj.html". This is useful because 
without the prefix, you wouldn't know that the file contained a legalnotice. 
The same logic is also applied to revhistory, using an "rh-" prefix.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: autoidx.xsl</literal></para><screen><phrase role="commit-message">Removed the [&amp;scope;] predicate from the target variable in the template with name="reference".
This filter was the cause of missing index backlinks when @zone and @type were used on indexterms,
with index.on.type=1. Closes bug #1680836.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Added 'ln-' prefix to the name of the legalnotice chunk, in order to match the 
&lt;link href"..."&gt; that is output by make.legalnotice.head.links (chunk-common.xsl).
Modified the href attribute on the legalnotice link.
Closes bug #1790495.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">slightly adjusted spacing around admonition markers</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">make sure refsect3 titles are preceded by a line of space, and
make the indenting of their child content less severe</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">only indent verbatim environments in TTY output, not in non-TTY/PS</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">made another adjustment to correct vertical alignment of admonition marker</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl; other.xsl</literal></para><screen><phrase role="commit-message">Adjusted/corrected alignment of adominition marker in PS/non-TTY output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl</literal></para><screen><phrase role="commit-message">For PS/non-TTY output, display footnote/endnote numbers in
superscript.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: table.xsl; synop.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">Changed handling of hanging indents for cmdsynopsis, funcsynopsis,
and synopfragment such that they now look correct in non-TTY/PS
output. We now use the groff \w escape to hang by the actual width
-- in the current font -- of the command, funcdef, or
synopfragment references number (as opposed to hanging by the
number of characters). This rendering in TTY output remains the
same, since the width in monospaced TTY output is the same as the
number of characters.

Also, created new synopsis-block-start and synopsis-block-end
templates to use for cmdsynopsis and funcsynopsis instead of the
corresponding verbatim-* templates.

Along with those changes, also corrected a problem that caused the
content of synopfragment to be dropped, and made a
vertical-spacing change to adjust spacing around table titles and
among sibling synopfragment instances.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">use common l10.language.name template to retrieve English-language name</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl; inline.xsl</literal></para><screen><phrase role="commit-message">added comment in code explaining why we don't put filename output
in italic (despite the fact that man guidelines say we should)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">put filename output in monospace instead of italic</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl</literal></para><screen><phrase role="commit-message">put cmdsynopsis in monospace</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">removed template match for literal. template matches for monospace
inlines are all imported from the HTML stylesheet</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">don't indent verbatim environments that are descendants of
refsynopsisdiv, not put backgrounds behind them</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">set output of the literal element in monospace. this causes all
inline monospace instances in the git man pages to be set in
monospace (since DocBook XML source for git docs is generated with
asciidoc and asciidoc consistently outputs only &lt;literal&gt; for
inline monospace (not &lt;command&gt; or &lt;code&gt; or anything else).
Of course this only affects non-TTY output...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">Added inline.monoseq named template.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">don't bother using a custom register to store the previous
font-family value when setting blocks of text in code font; just
use \F[] .fam with no arg to switch back</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl</literal></para><screen><phrase role="commit-message">put links in blue in PS output (note that this matches how groff
renders content marked up with the .URL macro)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">removed man.links.are.underlined and added man.font.links. Also,
changed the default font formatting for links to bold.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Added new param man.base.url.for.relative.links .. specifies a
base URL for relative links (for ulink, @xlink:href, imagedata,
audiodata, videodata) shown in the generated NOTES section of
man-page output. The value of man.base.url.for.relative.links is
prepended to any relative URI that is a value of ulink url,
xlink:href, or fileref attribute.

If you use relative URIs in link sources in your DocBook refentry
source, and you leave man.base.url.for.relative.links unset, the
relative links will appear "as is" in the NOTES section of any
man-page output generated from your source. That's probably not
what you want, because such relative links are only usable in the
context of HTML output. So, to make the links meaningful and
usable in the context of man-page output, set a value for
man.base.url.for.relative.links that points
to the online version of HTML output generated from your DocBook
refentry source. For example:

  &lt;xsl:param name="man.base.url.for.relative.links"
  &gt;http://www.kernel.org/pub/software/scm/git/docs/&lt;/xsl:param&gt;</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">If a source refentry contains a Documentation or DOCUMENTATION
section, don't report it as having missing AUTHOR information.
Also, if missing a contrib/personblurb for a person or org, report
pointers to http://docbook.sf.net/el/personblurb and to
http://docbook.sf.net/el/contrib</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">If we encounter an author|editor|othercredit instance that lacks a
personblurb or contrib, report it to the user (because that means
we have no information about that author|editor|othercredit to
display in the generated AUTHOR|AUTHORS section...)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl; docbook.xsl; other.xsl</literal></para><screen><phrase role="commit-message">if we can't find any usable author data, emit a warning and insert
a fixme in the output</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">fixed bug in indenting of output for contrib instances in AUTHORS
section. Thanks to Daniel Leidert and the fglrx docs for exposing
the bug.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">for a para or simpara that is the first child of a callout,
suppress the .sp or .PP that would normally be output (because in
those cases, the output goes into a table cell, and the .sp or .PP
markup causes a spurious linebreak before it when displayed</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Added support for rendering co callouts and calloutlist instances.
So you can now use simple callouts -- marking up programlisting
and such with co instances -- and have the callouts displayed in
man-page output. ("simple callouts" means using co@id and
callout@arearefs pointing to co@id instances; in man/roff output,
we can't/don't support markup that uses areaset and area)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">only put a line of space after a verbatim if it's followed by a
text node or a paragraph</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">put verbatim environments in slightly smaller font in non-TTY
output</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">minor whitespace-only reformatting of lists.xsl source</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Made refinements/fixes to output of orderedlist and itemizedlist
-- in part, to get mysql man pages to display correctly. This
change causes a "\c" continuation marker to be added between
listitem markers and contents (to ensure that the content remains
on the same line as the marker when displayed)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">put a line of vertical space after all verbatim output that has
sibling content following it (not just if that sibling content is
a text node)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">refined spacing around titles for admonitions</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl; other.xsl</literal></para><screen><phrase role="commit-message">Deal with case of verbatim environments that have a linebreak
after the opening tag. Assumption is that users generally don't
want that linebreak to appear in output, so we do some groff
hackery to mess with vertical spacing and close the space.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">indexterm instances now produce groff comments like this:

  .\" primary: secondary: tertiary

remark instances, if non-empty, now produce groff comments</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: charmap.groff.xsl; other.xsl</literal></para><screen><phrase role="commit-message">convert no-break space character to groff "\ \&amp;" (instead of just
"\ "). the reason is that if a space occurs at the end of a line,
our processing causes it to be eaten. a real-world case of this is
the mysql(1) man page. appending the "\&amp;" prevents that</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">output "sp" before simpara output, not after it (outputting it
after results in undesirable whitespace in particular cases; for
example, in the hg/mercurial docs</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: table.xsl; synop.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">renamed from title-preamble to pinch.together and replaced "sp -1"
between synopsis fragments with call to pinch.together instead</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: table.xsl</literal></para><screen><phrase role="commit-message">use title-preamble template for table titles (instead of "sp -1"
hack), and "sp 1" after all tables (instead of just "sp"</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">created title-preamble template for suppressing line spacing after
headings</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">further refinement of indenting in AUTHORS section</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl; other.xsl</literal></para><screen><phrase role="commit-message">refined handling of admonitions</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Use RS/RE in another place where we had IP ""</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">Replace (ab)use of IP with "sp -1" in AUTHORS section with RS/RE
instead.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: table.xsl; synop.xsl; info.xsl</literal></para><screen><phrase role="commit-message">changed all instances of ".sp -1n" to ".sp -1"</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">add extra line before SH heads only in non-TTY output</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">Reworked output for admonitions (caution, important, note, tip,
warning). In TTY output, admonitions now get indented. In non-TTY
output, a colored marker (yellow) is displayed next to them.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">Added BM/EM macros for putting a colored marker in margin next to
a block of text.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">created make.bold.title template by moving title-bolding part out
from nested-section-title template. This allows the bolding to
also be used by the template for formatting admonitions</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">put .br before copyright contents to prevent them from getting run in</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl; other.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">made point size of output for Refsect2 and Refsect3 heads bigger</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">put slightly more space between SH head and underline in non-TTY
output</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: param.xweb; param.ent; other.xsl</literal></para><screen><phrase role="commit-message">Added the man.charmap.subset.profile.english parameter and refined
the handling of charmap subsets to differentiate between English
and non-English source.

This way charmap subsets are now handled is this:

If the value of the man.charmap.use.subset parameter is non-zero,
and your DocBook source is not written in English (that is, if its
lang or xml:lang attribute has a value other than en), then the
character-map subset specified by the man.charmap.subset.profile
parameter is used instead of the full roff character map.

Otherwise, if the lang or xml:lang attribute on the root element
in your DocBook source or on the first refentry element in your
source has the value en or if it has no lang or xml:lang
attribute, then the character-map subset specified by the
man.charmap.subset.profile.english parameter is used instead of
man.charmap.subset.profile.

The difference between the two subsets is that
man.charmap.subset.profile provides mappings for characters in
Western European languages that are not part of the Roman
(English) alphabet (ASCII character set).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">Various updates, mainly related to uppercasing SH titles:

  - added a "Language: " metadata line to the top comment area of
    output man pages, to indicate the language the page is in

  - added a "toupper" macro of doing locale-aware uppercasing of
    SH titles and cross-references to SH titles; the mechanism
    relies on the uppercase.alpha and lowercase.alpha DocBook
    gentext keys to do locale-aware uppercasing based on the
    language the page is written in

  - added a "string.shuffle" template, which provides a library
    function for "shuffling" two strings together into a single
    string; it takes the first character for the first string, the
    first character from second string, etc. The only current use
    for it is to generate the argument for the groff tr request
    that does string uppercasing.

  - added make.tr.uppercase.arg and make.tr.normalcase.arg named
    templates for use in generating groff code for uppercasing and
    "normal"-casing SH titles

  - made the BB/BE "background drawing" macros have effect only in
    non-TTY output

  - output a few comments in the top part of source</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">removed some leftover kruft</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">To create the name(s) for each man page, we now replace any spaces
in the refname(s) with underscores. This ensures that tools like
lexgrog(1) will be able to parse the name (lexgrog won't parse
names that contain spaces).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">Put a comment into source of man page to indicate where the main
content starts. (We now have a few of macro definitions at the
start of the source, so putting this comment in helps those that
might be viewing the source.)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">refined mechanism for generating SH titles</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: charmap.groff.xsl</literal></para><screen><phrase role="commit-message">Added zcaron, Zcaron, scaron, and Scaron to the groff character map.
This means that generated Finnish man pages will no longer contain
any raw accented characters -- they'll instead by marked up with
groff escapes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">corrected a regression I introduced about a year ago that caused
dots to be output just as "\." -- instead needs to be "\&amp;." (which
is what it will be now, after this change)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">Changed backend handling for generating titles for SH sections and
for cross-references to those sections. This should have no effect
on TTY output (behavior should remain the same hopefully) but
results in titles in normal case (instead of uppercase) in PS
output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">use make.subheading template to make subheadings for AUTHORS and
COPYRIGHT sections (instead of harcoding roff markup)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">put code font around programlisting etc.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl; docbook.xsl</literal></para><screen><phrase role="commit-message">embed custom macro definitions in man pages, plus wrap synopsis in
code font</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl</literal></para><screen><phrase role="commit-message">use the make.subheading template to generated SH subheading for
endnotes section.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Added some templates for generating if-then-else conditional
markup in groff, so let's use those instead of hard-coding it in
multiple places...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl; utility.xsl</literal></para><screen><phrase role="commit-message">Initial checkin of some changes related to making PS/PDF output
from "man -l -Tps" look better. The current changes:

  - render synopsis and verbatim sections in a monospace/code font

  - put a light-grey background behind all programlisting, screen,
    and literallayout instances

  - prevent SH heads in PS output from being rendered in uppercase
    (as they are in console output)

  - also display xrefs to SH heads in PS output in normal case
    (instead of uppercase)

  - draw a line under SH heads in PS output

The changes made to the code to support the above features were:

  - added some embedded/custom macros: one for conditionally
    upper-casing SH x-refs, one for redefining the SH macro
    itself, with some conditional handling for PS output, and
    finally a macro for putting a background/screen (filled box)
    around a block of text (e.g., a program listing) in PS output

  - added utility templates for wrapping blocks of text in code
    font; also templates for inline code font</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: refentry.xsl</literal></para><screen><phrase role="commit-message">refpurpose nodes now get apply-templates instead of just normalize-space().</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Fixed alignment of first lined of text for each listitem in
orderedlist output for TTY. Existing code seemed to have been
causing an extra undesirable space to appear.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Wrapped some roff conditionals around roff markup for orderedlist
and itemizedlist output, so that the lists look acceptable in PS
output as well as TTY.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: pi.xsl; synop.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Added the man.funcsynopsis.style parameter. Has the same effect in
manpages output as the funcsynopsis.style parameter has in HTML
output -- except that its default value is 'ansi' instead of 'kr'.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl</literal></para><screen><phrase role="commit-message">Reworked handling of K&amp;R funcprototype output. It no longer relies
on the HTML kr-tabular templates, but instead just does direct
transformation to roff. For K&amp;R output, it displays the paramdef
output in an indented list following the prototype.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl</literal></para><screen><phrase role="commit-message">Properly integrated handling for K&amp;R output into manpages
stylesheet. The choice between K&amp;R output and ANSI output is
currently controlled through use of the (HTML) funcsynopsis.style
parameter. Note that because the mechanism does currently rely on
funcsynopsis.style, the default in manpages output is now K&amp;R
(because that's the default of that param). But I suppose I ought
to create a man.funcsynopsis.style and make the default for that
ANSI (to preserve the existing default behavior).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">added manpages/pi.xsl file</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: .cvsignore; pi.xsl</literal></para><screen><phrase role="commit-message">Added "dbman funcsynopsis-style" PI and incorporated it into the
doc build.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">Fixed regression that caused an unescaped dash to be output
between refname and refpurpose content. Closes bug #1894244.
Thanks to Daniel Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: other.xsl</literal></para><screen><phrase role="commit-message">Fixed problem with dots being escaped in filenames of generated
man files. Closes #1827195. Thanks to Daniel Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">Added support for processing structfield (was appearing in roff
output surrounded by HTML &lt;em&gt; tags; fixed so that it gets roff
ital markup). Closes bug #1858329.  Thanks to Sam Varshavchik.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Epub">
<title>Epub</title>
<para>The following changes have been made to the
            <filename>epub</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem> <para><literal>Keith Fahlgren: bin/spec/README; bin/spec/epub_realbook_spec.rb</literal></para><screen><phrase role="commit-message">'Realbook' spec now passes</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: bin/dbtoepub; README; bin/spec/README; bin/lib/docbook.rb; bin/spec/epub_r⋯</literal></para><screen><phrase role="commit-message">Very primitive Windows support for dbtoepub <tag>reference</tag> implementation; README for running tests and for the .epub target in general; shorter realbook test document (still fails for now)</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: bin/dbtoepub; bin/spec/epub_regressions_spec.rb; bin/lib/docbook.rb; bin/s⋯</literal></para><screen><phrase role="commit-message">Changes to OPF spine to not duplicate idrefs for documents with parts not at the root; regression specs for same</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">Fixing linking to <tag>cover</tag> @id, distinct from other needs of cover-image-id (again, thanks to Martin Goerner)</phrase></screen> </listitem>
<listitem> <para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">Updating the <tag>title</tag> of the <tag>toc</tag> element in the guide to be more explicit (thanks to Martin Goerner)</phrase></screen> </listitem>
<listitem>
<para><literal>Keith Fahlgren: bin/spec/examples/amasque_exploded/content.opf; bin/spec/examples/amasque_⋯</literal></para><screen><phrase role="commit-message">Initial checkin/merge of epub target from work provided by Paul Norton of Adobe
and Keith Fahlgren of O'Reilly.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: docbook.xsl</literal></para><screen><phrase role="commit-message">== General epub test support

$ spec -O ~/.spec.opts spec/epub_spec.rb 

DocBook::Epub
- should be able to be created
- should fail on a nonexistent file
- should be able to render to a file
- should create a file after rendering
- should have the correct mimetype after rendering
- should be valid .epub after rendering an article
- should be valid .epub after rendering an article without sections
- should be valid .epub after rendering a book
- should be valid .epub after rendering a book even if it has one graphic
- should be valid .epub after rendering a book even if it has many graphics
- should be valid .epub after rendering a book even if it has many duplicated graphics
- should report an empty file as invalid
- should confirm that a valid .epub file is valid
- should not include PDFs in rendered epub files as valid image inclusions
- should include a TOC link in rendered epub files for &lt;book&gt;s

Finished in 20.608395 seconds

15 examples, 0 failures


== Verbose epub test coverage against _all_ of the testdocs 

Fails on only (errors truncated):
1)
'DocBook::Epub should be able to render a valid .epub for the test document /Users/keith/work/docbook-dev/trunk/xsl/epub/bin/spec/testdocs/calloutlist.003.xml [30]' FAILED
'DocBook::Epub should be able to render a valid .epub for the test document /Users/keith/work/docbook-dev/trunk/xsl/epub/bin/spec/testdocs/cmdsynopsis.001.xml [35]' FAILED
....

Finished in 629.89194 seconds

224 examples, 15 failures

224 examples, 15 failures yields 6% failure rate</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Epub changes for 1.74.0-->

<sect2 xml:id="V1.74.0_HTMLHelp">
<title>HTMLHelp</title>
<para>The following changes have been made to the
            <filename>htmlhelp</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: htmlhelp-common.xsl</literal></para><screen><phrase role="commit-message">Added &lt;xsl:with-param name="quiet" select="$chunk.quietly"/&gt; to calls to
the write.chunk, write.chunk.with.doctype, and write.text.chunk templates.
This makes chunk.quietly=1 suppress chunk filename messages also for help 
support files (which seems to be what one would expect). See bug #1648360.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTMLHelp changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Eclipse">
<title>Eclipse</title>
<para>The following changes have been made to the
            <filename>eclipse</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>David Cramer: eclipse.xsl</literal></para><screen><phrase role="commit-message">Use sortas attributes (if they exist) when sorting indexterms</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: eclipse.xsl</literal></para><screen><phrase role="commit-message">Added support for indexterm/see in eclipse index.xml</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: eclipse.xsl</literal></para><screen><phrase role="commit-message">Added &lt;xsl:with-param name="quiet" select="$chunk.quietly"/&gt;
to helpidx template.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: eclipse.xsl</literal></para><screen><phrase role="commit-message">Generate index.xml file and add related goo to plugin.xml file. Does not yet support see and seealso.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: eclipse.xsl</literal></para><screen><phrase role="commit-message">Added &lt;xsl:with-param name="quiet" select="$chunk.quietly"/&gt; to calls to
the write.chunk, write.chunk.with.doctype, and write.text.chunk templates.
This makes chunk.quietly=1 suppress chunk filename messages also for help 
support files (which seems to be what one would expect). See bug #1648360.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Eclipse changes for 1.74.0-->

<sect2 xml:id="V1.74.0_JavaHelp">
<title>JavaHelp</title>
<para>The following changes have been made to the
            <filename>javahelp</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: javahelp.xsl</literal></para><screen><phrase role="commit-message">Added &lt;xsl:with-param name="quiet" select="$chunk.quietly"/&gt; to calls to
the write.chunk, write.chunk.with.doctype, and write.text.chunk templates.
This makes chunk.quietly=1 suppress chunk filename messages also for help 
support files (which seems to be what one would expect). See bug #1648360.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of JavaHelp changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Roundtrip">
<title>Roundtrip</title>
<para>The following changes have been made to the
            <filename>roundtrip</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; wordml2normalise.xsl</literal></para><screen><phrase role="commit-message">fix table/cell borders for wordml, fix formal figure, add emphasis-strong</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: supported.xml</literal></para><screen><phrase role="commit-message">Changed @cols to 5.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; blocks2dbk.dtd; template.xml</literal></para><screen><phrase role="commit-message">added pubdate, fixed metadata handling in biblioentry</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: supported.xml</literal></para><screen><phrase role="commit-message">Added support for edition.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: docbook-pages.xsl; wordml-blocks.xsl; docbook.xsl; wordml.xsl; pages-normalise⋯</literal></para><screen><phrase role="commit-message">Removed stylesheets for old, deprecated conversion method.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: specifications.xml; dbk2ooo.xsl; blocks2dbk.xsl; dbk2pages.xsl; blocks2dbk.dtd⋯</literal></para><screen><phrase role="commit-message">Added support for Open Office, added edition element, improved list and table support in Word and Pages</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: normalise-common.xsl; blocks2dbk.xsl; dbk2pages.xsl; template-pages.xml; templ⋯</literal></para><screen><phrase role="commit-message">Fixed bug in WordML table handling, improved table handling for Pages 08, synchronised WordML and Pages templates.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: normalise-common.xsl; blocks2dbk.xsl; wordml2normalise.xsl; dbk2wp.xsl</literal></para><screen><phrase role="commit-message">fix caption, attributes</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: specifications.xml; blocks2dbk.xsl; wordml2normalise.xsl; blocks2dbk.dtd; temp⋯</literal></para><screen><phrase role="commit-message">Fixes to table and list handling</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl</literal></para><screen><phrase role="commit-message">added support for explicit emphasis character styles</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: wordml2normalise.xsl</literal></para><screen><phrase role="commit-message">added support for customisation in image handling</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl</literal></para><screen><phrase role="commit-message">Added inlinemediaobject support for metadata.</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: normalise-common.xsl; blocks2dbk.xsl; template.xml; dbk2wordml.xsl; dbk2wp.xsl</literal></para><screen><phrase role="commit-message">Added support file. Added style locking. Conversion bug fixes.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Roundtrip changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Slides">
<title>Slides</title>
<para>The following changes have been made to the
            <filename>slides</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: fo/Makefile; html/Makefile</literal></para><screen><phrase role="commit-message">Added checks and hacks to various makefiles to enable building
under Cygwin. This stuff is ugly and maybe not worth the mess and
trouble, but does seem to work as expected and not break anything
else.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: html/plain.xsl</literal></para><screen><phrase role="commit-message">Added support for showing foil number</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Slides changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Website">
<title>Website</title>
<para>The following changes have been made to the
            <filename>website</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: extensions/saxon64/.classes/.gitignore; extensions/xalan2/.classes/com/⋯</literal></para><screen><phrase role="commit-message">renamed a bunch more .cvsignore files to .gitignore (to facilitate use of git-svn)</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Website changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem> <para><literal>Keith Fahlgren: epub.autolabel.xml</literal></para><screen><phrase role="commit-message">New parameter for epub, epub.autolabel</phrase></screen> </listitem>
<listitem>
<para><literal>Mauritz Jeanson: table.frame.border.color.xml; table.cell.padding.xml; table.cell.border.t⋯</literal></para><screen><phrase role="commit-message">Added missing refpurposes and descriptions.</phrase></screen>
</listitem>
<listitem>
<para><literal>Keith Fahlgren: ade.extensions.xml</literal></para><screen><phrase role="commit-message">Extensions to support Adobe Digital Editions extensions in .epub output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: fop.extensions.xml; fop1.extensions.xml</literal></para><screen><phrase role="commit-message">Clarified that fop1.extensions is for FOP 0.90 and later. Version 1 is not here yet...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.links.are.underlined.xml; man.endnotes.list.enabled.xml; man.font.l⋯</literal></para><screen><phrase role="commit-message">removed man.links.are.underlined and added man.font.links. Also,
changed the default font formatting for links to bold.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.base.url.for.relative.links.xml</literal></para><screen><phrase role="commit-message">Added new param man.base.url.for.relative.links .. specifies a
base URL for relative links (for ulink, @xlink:href, imagedata,
audiodata, videodata) shown in the generated NOTES section of
man-page output. The value of man.base.url.for.relative.links is
prepended to any relative URI that is a value of ulink url,
xlink:href, or fileref attribute.

If you use relative URIs in link sources in your DocBook refentry
source, and you leave man.base.url.for.relative.links unset, the
relative links will appear "as is" in the NOTES section of any
man-page output generated from your source. That's probably not
what you want, because such relative links are only usable in the
context of HTML output. So, to make the links meaningful and
usable in the context of man-page output, set a value for
man.base.url.for.relative.links that points
to the online version of HTML output generated from your DocBook
refentry source. For example:

  &lt;xsl:param name="man.base.url.for.relative.links"
  &gt;http://www.kernel.org/pub/software/scm/git/docs/&lt;/xsl:param&gt;</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.string.subst.map.xml</literal></para><screen><phrase role="commit-message">squeeze .sp\n.sp into a single .sp (to prevent a extra, spurious
line of whitespace from being inserted after programlisting etc.
in certain cases)</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.manual.fallback.profile.xml; refentry.source.fallback.profile.⋯</literal></para><screen><phrase role="commit-message">don't use refmiscinfo@class=date value as fallback for refentry
"source" or "manual" metadata fields</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.charmap.subset.profile.xml; man.charmap.enabled.xml; man.charmap.su⋯</literal></para><screen><phrase role="commit-message">made some further doc tweaks related to the
man.charmap.subset.profile.english param</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.charmap.subset.profile.xml; man.charmap.enabled.xml; man.charmap.su⋯</literal></para><screen><phrase role="commit-message">Added the man.charmap.subset.profile.english parameter and refined
the handling of charmap subsets to differentiate between English
and non-English source.

This way charmap subsets are now handled is this:

If the value of the man.charmap.use.subset parameter is non-zero,
and your DocBook source is not written in English (that is, if its
lang or xml:lang attribute has a value other than en), then the
character-map subset specified by the man.charmap.subset.profile
parameter is used instead of the full roff character map.

Otherwise, if the lang or xml:lang attribute on the root element
in your DocBook source or on the first refentry element in your
source has the value en or if it has no lang or xml:lang
attribute, then the character-map subset specified by the
man.charmap.subset.profile.english parameter is used instead of
man.charmap.subset.profile.

The difference between the two subsets is that
man.charmap.subset.profile provides mappings for characters in
Western European languages that are not part of the Roman
(English) alphabet (ASCII character set).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.charmap.subset.profile.xml</literal></para><screen><phrase role="commit-message">Added to default charmap used by manpages:

  - the "letters" part of the 'C1 Controls And Latin-1 Supplement
    (Latin-1 Supplement)' Unicode block
  - Latin Extended-A block (but not all of the characters from
    that block have mappings in groff, so some of them are still
    passed through as-is)

The effects of this change are that in man pages generated for
most Western European languages and for Finnish, all characters
not part of the Roman alphabet are (e.g., "accented" characters)
are converted to groff escapes.

Previously, by default we passed through those characters as is
(and users needed to use the full charmap if they wanted to have
those characters converted).

As a result of this change, man pages generated for Western
European languages will be viewable in some environments in which
they are not viewable if the "raw" non-Roman characters are in them.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: generate.legalnotice.link.xml; generate.revhistory.link.xml</literal></para><screen><phrase role="commit-message">Added information on how the filename is computed.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: default.table.width.xml</literal></para><screen><phrase role="commit-message">Clarified PI usage.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.funcsynopsis.style.xml</literal></para><screen><phrase role="commit-message">Added the man.funcsynopsis.style parameter. Has the same effect in
manpages output as the funcsynopsis.style parameter has in HTML
output -- except that its default value is 'ansi' instead of 'kr'.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: funcsynopsis.tabular.threshold.xml</literal></para><screen><phrase role="commit-message">Removed the funcsynopsis.tabular.threshold param. It's no longer
being used in the code and hasn't been since mid 2006.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: table.properties.xml</literal></para><screen><phrase role="commit-message">Set keep-together.within-column to "auto". This seems to be the most sensible
default value for tables.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: informal.object.properties.xml; admon.graphics.extension.xml; informalequ⋯</literal></para><screen><phrase role="commit-message">Several small documentation fixes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: manifest.in.base.dir.xml</literal></para><screen><phrase role="commit-message">Wording fixes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: header.content.properties.xml; footer.content.properties.xml</literal></para><screen><phrase role="commit-message">Added refpurpose.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: ulink.footnotes.xml; ulink.show.xml</literal></para><screen><phrase role="commit-message">Updated for DocBook 5.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: index.method.xml; glossterm.auto.link.xml</literal></para><screen><phrase role="commit-message">Spelling and wording fixes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: callout.graphics.extension.xml</literal></para><screen><phrase role="commit-message">Clarifed available graphics formats and extensions.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: footnote.sep.leader.properties.xml</literal></para><screen><phrase role="commit-message">Corrected refpurpose.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: footnote.properties.xml</literal></para><screen><phrase role="commit-message">Added more properties which make it possible to render correctly footnotes placed inside verbatim elements.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: img.src.path.xml</literal></para><screen><phrase role="commit-message">img.src.path works with inlinegraphic too.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: saxon.character.representation.xml</literal></para><screen><phrase role="commit-message">Added TCG link.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: img.src.path.xml</literal></para><screen><phrase role="commit-message">Updated description of img.src.path. Bug #1785224 revealed that 
there was a risk of misunderstanding how it works.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Profiling">
<title>Profiling</title>
<para>The following changes have been made to the
            <filename>profiling</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Jirka Kosek: xsl2profile.xsl</literal></para><screen><phrase role="commit-message">Added new rules to profile all content generated by HTML Help (including alias files)</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: profile-mode.xsl</literal></para><screen><phrase role="commit-message">use mode="profile" instead of xsl:copy-of for attributes so
they can be more easily customized.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Profiling changes for 1.74.0-->


<sect2 xml:id="V1.74.0_Tools">
<title>Tools</title>
<para>The following changes have been made to the
            <filename>tools</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: make/Makefile.DocBook</literal></para><screen><phrase role="commit-message">various changes and additions to support making with asciidoc as
an input format</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: make/Makefile.DocBook</literal></para><screen><phrase role="commit-message">make dblatex the default PDF maker for the example makefile</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: xsl/build/html2roff.xsl</literal></para><screen><phrase role="commit-message">Reworked handling of K&amp;R funcprototype output. It no longer relies
on the HTML kr-tabular templates, but instead just does direct
transformation to roff. For K&amp;R output, it displays the paramdef
output in an indented list following the prototype.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: xsl/build/make-xsl-params.xsl</literal></para><screen><phrase role="commit-message">Made attribute-sets members of the param list. This enables links to attribute-sets in the
reference documentation.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: xsl/build/html2roff.xsl</literal></para><screen><phrase role="commit-message">use .BI handling in K&amp;R funsynopsis output for manpages, just as
we do already of ANSI output</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: xsl/build/html2roff.xsl</literal></para><screen><phrase role="commit-message">Implemented initial support for handling tabular K&amp;R output of
funcprototype in manpages output. Accomplished by adding more
templates to the intermediate HTML-to-roff stylesheet that the
build uses to create the manpages/html-synop.xsl stylesheet.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: xsl/build/doc-link-docbook.xsl</literal></para><screen><phrase role="commit-message">Made the xsl/tools/xsl/build/doc-link-docbook.xsl stylesheet
import profile-docbook.xsl, so that we can do profiling of release
notes. Corrected some problems in the target for the release-notes
HTML build.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Tools changes for 1.74.0-->

<sect2 xml:id="V1.74.0_Extensions">
<title>Extensions</title>
<para>The following changes have been made to the
            <filename>extensions</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem> <para><literal>Keith Fahlgren: Makefile</literal></para><screen><phrase role="commit-message">Use DOCBOOK_SVN variable everywhere, please; build with PDF_MAKER</phrase></screen> </listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile</literal></para><screen><phrase role="commit-message">moved extensions build targets from master xsl/Makefile to
xsl/extensions/Makefile</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: .cvsignore</literal></para><screen><phrase role="commit-message">re-adding empty extensions subdir</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Extensions changes for 1.74.0-->

<sect2 xml:id="V1.74.0_XSL-Saxon">
<title>XSL-Saxon</title>
<para>The following changes have been made to the
            <filename>xsl-saxon</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: VERSION</literal></para><screen><phrase role="commit-message">bring xsl2, xsl-saxon, and xsl-xalan VERSION files up-to-date with
recent change to snapshot build infrastructure</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: nbproject/build-impl.xml; nbproject/project.properties</literal></para><screen><phrase role="commit-message">Changed hard-coded file references in "clean" target to variable
references. Closes #1792043. Thanks to Daniel Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: VERSION; Makefile</literal></para><screen><phrase role="commit-message">Did post-release wrap-up of xsl-saxon and xsl-xalan dirs</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: nbproject/build-impl.xml; VERSION; Makefile; test</literal></para><screen><phrase role="commit-message">More tweaks to get release-ready</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Saxon changes for 1.74.0-->

<sect2 xml:id="V1.74.0_XSL-Xalan">
<title>XSL-Xalan</title>
<para>The following changes have been made to the
            <filename>xsl-xalan</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: VERSION</literal></para><screen><phrase role="commit-message">bring xsl2, xsl-saxon, and xsl-xalan VERSION files up-to-date with
recent change to snapshot build infrastructure</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: nbproject/build-impl.xml</literal></para><screen><phrase role="commit-message">Changed hard-coded file references in "clean" target to variable
references. Closes #1792043. Thanks to Daniel Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile; VERSION</literal></para><screen><phrase role="commit-message">Did post-release wrap-up of xsl-saxon and xsl-xalan dirs</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile; nbproject/build-impl.xml; VERSION</literal></para><screen><phrase role="commit-message">More tweaks to get release-ready</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Xalan changes for 1.74.0-->

<sect2 xml:id="V1.74.0_XSL-libxslt">
<title>XSL-libxslt</title>
<para>The following changes have been made to the
            <filename>xsl-libxslt</filename> code
            since the 1.73.2 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: python/xslt.py</literal></para><screen><phrase role="commit-message">Print the result to stdout if no outfile has been given.
Some unnecessary semicolons removed.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: python/xslt.py</literal></para><screen><phrase role="commit-message">Added a function that quotes parameter values (to ensure that they are interpreted as strings).
Replaced deprecated functions from the string module with string methods.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: python/README; python/README.LIBXSLT</literal></para><screen><phrase role="commit-message">renamed xsl-libxslt/python/README to xsl-libxslt/python/README.LIBXSLT</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: python/README</literal></para><screen><phrase role="commit-message">Tweaked the text a little.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-libxslt changes for 1.74.0-->

</sect1>

<sect1 xml:id="V1.73.2">
<title>Release Notes: 1.73.2</title>
<para>This is solely a minor bug-fix update to the 1.73.1 release.
  It fixes a packaging error in the 1.73.1 package, as well as a
  bug in footnote handling in FO output.</para>
</sect1>

<sect1 xml:id="V1.73.1">
<title>Release: 1.73.1</title>
<para>This is mostly a bug-fix update to the 1.73.0 release.</para>

<sect2 xml:id="V1.73.1_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the
            <filename>gentext</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: locale/de.xml</literal></para><screen><phrase role="commit-message">Applied patch #1766009.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/lv.xml</literal></para><screen><phrase role="commit-message">Added localization for <tag>ProductionSet</tag>.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.73.1-->

<sect2 xml:id="V1.73.1_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: table.xsl</literal></para><screen><phrase role="commit-message">Modified the <tag>tgroup</tag> template so that, for tables with multiple tgroups, 
a width attribute is output on all corresponding fo:tables. Previously, 
there was a test prohibiting this (and a comment saying that outputting more
than one width attribute will cause an error). But this seems to be no longer 
relevant; it is not a problem with FOP 0.93 or XEP 4.10. Closes bug #1760559.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: graphics.xsl</literal></para><screen><phrase role="commit-message">Replaced useless &lt;a&gt; elements with warning messages (textinsert extension).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: admon.xsl</literal></para><screen><phrase role="commit-message">Enabled generation of ids (on fo:wrapper) for indexterms in admonition titles, so that page
references in the <tag>index</tag> can be created. Closes bug #1775086.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.73.1-->

<sect2 xml:id="V1.73.1_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Added &lt;xsl:call-template name="process.footnotes"/&gt; to <tag>abstract</tag> template
so that footnotes in <tag>info</tag>/<tag>abstract</tag> are processed. Closes bug #1760907.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: pi.xsl; synop.xsl</literal></para><screen><phrase role="commit-message">Changed handling of HTML output for the <tag>cmdsynopsis</tag> and
<tag>funcsynopsis</tag> elements, such that a@id instances are generated for
them if they are descendants of any element containing a dbcmdlist
or dbfunclist PI. Also, update the embedded <tag>reference</tag> docs for the
dbcmdlist and dbfunclist PIs to make it clear that they can be
used within any element for which <tag>cmdsynopsis</tag> or <tag>funcsynopsis</tag> are
valid children.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: formal.xsl</literal></para><screen><phrase role="commit-message">Reverted the part of <tag>revision</tag> 6952 that caused a@id anchors to be
generated for output of informal objects. Thanks to Sam Steingold
for reporting.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: glossary.xsl</literal></para><screen><phrase role="commit-message">Account for a <tag>glossary</tag> with no <tag>glossdiv</tag> or <tag>glossentry</tag> children.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl</literal></para><screen><phrase role="commit-message">Modified <tag>legalnotice</tag> template so that the base.name parameter is calculated 
in the same way as for <tag>revhistory</tag> chunks. Using &lt;xsl:apply-templates 
mode="chunk-filename" select="."/&gt; did not work for single-page output since
the template with that mode is in chunk-code.xsl.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: graphics.xsl</literal></para><screen><phrase role="commit-message">Updated support for SVG (must be a child of <tag>imagedata</tag> in DB 5).
Added support for MathML in <tag>imagedata</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Added documentation for the dbhh PI (used for context-sensitive HTML Help).
(The two templates matching 'dbhh' are still in htmlhelp-common.xsl).</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.73.1-->

<sect2 xml:id="V1.73.1_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl</literal></para><screen><phrase role="commit-message">In manpages output, generate warnings about notesources with
non-para children only if the notesource is a <tag>footnote</tag> or
<tag>annotation</tag>. Thanks to Sam Steingold for reporting problems with
the existing handling.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.73.1-->

<sect2 xml:id="V1.73.1_HTMLHelp">
<title>HTMLHelp</title>
<para>The following changes have been made to the
            <filename>htmlhelp</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: htmlhelp-common.xsl</literal></para><screen><phrase role="commit-message">Added single-pass namespace-stripping support to the htmlhelp,
eclipse, and javahelp stylesheets.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTMLHelp changes for 1.73.1-->

<sect2 xml:id="V1.73.1_Eclipse">
<title>Eclipse</title>
<para>The following changes have been made to the
            <filename>eclipse</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: eclipse.xsl</literal></para><screen><phrase role="commit-message">Added single-pass namespace-stripping support to the htmlhelp,
eclipse, and javahelp stylesheets.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Eclipse changes for 1.73.1-->

<sect2 xml:id="V1.73.1_JavaHelp">
<title>JavaHelp</title>
<para>The following changes have been made to the
            <filename>javahelp</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: javahelp.xsl</literal></para><screen><phrase role="commit-message">Added single-pass namespace-stripping support to the htmlhelp,
eclipse, and javahelp stylesheets.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of JavaHelp changes for 1.73.1-->

<sect2 xml:id="V1.73.1_Roundtrip">
<title>Roundtrip</title>
<para>The following changes have been made to the
            <filename>roundtrip</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; blocks2dbk.dtd; pages2normalise.xsl</literal></para><screen><phrase role="commit-message">Modularised blocks2dbk to allow customisation,
Added support for tables to pages2normalise</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Roundtrip changes for 1.73.1-->

<sect2 xml:id="V1.73.1_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.73.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: procedure.properties.xml</literal></para><screen><phrase role="commit-message"><tag>procedure</tag> was inheriting keep-together from formal.object.properties, but
a <tag>procedure</tag> does not need to be kept together by default.</phrase></screen>
</listitem>
<listitem>
<para><literal>Dave Pawson: title.font.family.xml; component.label.includes.part.label.xml; table.frame.b⋯</literal></para><screen><phrase role="commit-message">Regular formatting re-org.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.73.1-->
</sect1>

<sect1 xml:id="V1.73.0">
<title>Release: 1.73.0</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:
<variablelist>
  <varlistentry>
    <term>New localizations and localization updates</term>
    <listitem>
      <para>We added two new localizations: Latvian and
        Esperanto, and made updates to the Czech, Chinese
        Simplified, Mongolian, Serbian, Italian, and Ukrainian
        localizations.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>ISO690 citation style for bibliography output.</term>
    <listitem>
      <para>Set the
        <parameter>bibliography.style</parameter> parameter to
        <literal>iso690</literal> to use ISO690 style.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>New documentation for processing instructions (PI)</term>
    <listitem>
      <para>The reference documentation that ships with the
        release now includes <link
          xlink:href="http://docbook.sourceforge.net/release/xsl/current/doc/pi/"
          >documentation on all PIs</link> that you can use to
        control output from the stylesheets.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>New profiling parameters for <literal>audience</literal> and <literal>wordsize</literal></term>
    <listitem>
      <para>You can now do profiling based on the values of the
        <literal>audience</literal> and
        <literal>wordsize</literal> attributes.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Changes to man-page output</term>
    <listitem>
      <para>The manpages stylesheet now supports single-pass
        profiling and single-pass DocBook 5 namespace stripping
        (just as the HTML and FO stylesheets also do). Also, added
        handling for <tag>mediaobject</tag> &amp;
        <tag>inlinemediaobject</tag>. (Each <tag>imagedata</tag>,
        <tag>audiodata</tag>, or <tag>videodata</tag> element
        within a <tag>mediaobject</tag> or inline
        <tag>mediaobject</tag> is now treated as a "notesource"
        and so handled in much the same way as links and
        <tag>annotation</tag>/<tag>alt</tag>/<tag>footnote</tag>
        are in manpages output.) And added the
        <parameter>man.authors.section.enabled</parameter> and
        <parameter>man.copyright.section.enabled</parameter>
        parameters to enable control over whether output includes
        auto-generated <literal>AUTHORS</literal> and
        <literal>COPYRIGHT</literal> sections.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Highlighting support for C</term>
    <listitem>
      <para>The highlighting mechanism for generating
        syntax-highlighted code snippets in output now supports C
        code listings (along with Java, PHP, XSLT, and others).</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Experimental <literal>docbook-xsl-update script</literal></term>
    <listitem>
      <para>We added an experimental <literal>docbook-xsl-update
          script</literal>, the purpose of which is to facilitate
        easy sync-up to the latest docbook-xsl snapshot (by means
        of rsync).</para>
    </listitem>
  </varlistentry>
</variablelist> 
</para>

<sect2 xml:id="V1.73.0_Gentext">
<title>Gentext</title>
<para>The following changes have been made to the
<filename>gentext</filename> code
since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: locale/lv.xml; Makefile</literal></para><screen><phrase role="commit-message">Added Latvian localization file, from Girts Ziemelis.</phrase></screen>
</listitem>
<listitem>
<para><literal>Dongsheng Song: locale/zh_cn.xml</literal></para><screen><phrase role="commit-message">Brought up to <tag>date</tag> with en.xml in terms of items. A few strings marked for translation.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: locale/cs.xml</literal></para><screen><phrase role="commit-message">Added missing translations</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/eo.xml</literal></para><screen><phrase role="commit-message">New locale for Esperanto.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/mn.xml</literal></para><screen><phrase role="commit-message">Update from Ganbold Tsagaankhuu.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: locale/en.xml; locale/cs.xml</literal></para><screen><phrase role="commit-message">Rules for normalizing <tag>glossary</tag> entries before they are sorted can be now different for each language.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: locale/sr_Latn.xml; locale/sr.xml</literal></para><screen><phrase role="commit-message">Committed changes from Miloš Komarčević to Serbian files.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/ja.xml</literal></para><screen><phrase role="commit-message">Fix <tag>chapter</tag> in context xref-number-and-title</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: locale/it.xml</literal></para><screen><phrase role="commit-message">Improved version from contributor.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: locale/uk.xml</literal></para><screen><phrase role="commit-message">Applied patch 1592083.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Gentext changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Common">
<title>Common</title>
<para>The following changes have been made to the
<filename>common</filename> code
since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: labels.xsl</literal></para><screen><phrase role="commit-message">Changed handling of <tag>reference</tag> auto-labeling such that <tag>reference</tag>
(when it appears at the component level) is now affected by the
<parameter>label.from.part</parameter> param, just as <tag>preface</tag>, <tag>chapter</tag>, and <tag>appendix</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: common.xsl</literal></para><screen><phrase role="commit-message">Added support to the HTML stylesheets for proper processing of
<tag>orgname</tag> as a child of <tag>author</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: refentry.xsl</literal></para><screen><phrase role="commit-message">Refined logging output of <tag>refentry</tag> metadata-gathering template;
for some cases of "missing" elements (<tag>refmiscinfo</tag> stuff, etc.),
the log messages now include URL to corresponding page in the
Definitive Guide (TDG).</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: titles.xsl</literal></para><screen><phrase role="commit-message">Add <tag>refsection</tag>/<tag>info</tag>/<tag>title</tag> support.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: titles.xsl</literal></para><screen><phrase role="commit-message">Added support for correct handling of <tag>xref</tag> to elements that
contain <tag>info</tag>/<tag>title</tag> descendants but no <tag>title</tag> children.

This should be further refined so that it handles any *<tag>info</tag>
elements. And there are probably some other places where similar
handling for *<tag>info</tag>/<tag>title</tag> should be added.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: pi.xsl</literal></para><screen><phrase role="commit-message">Modified &lt;xsl:when&gt; in datetime.format template to work
around Xalan bug.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.73.0-->
<sect2 xml:id="V1.73.0_FO">
<title>FO</title>
<para>The following changes have been made to the
<filename>fo</filename> code
since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: component.xsl</literal></para><screen><phrase role="commit-message">Add parameters to the page.sequence utility template.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: xref.xsl</literal></para><screen><phrase role="commit-message">Added template for <tag>xref</tag> to <tag>area</tag>/<tag>areaset</tag>.
Part of fix for bug #1675513 (<tag>xref</tag> to <tag>area</tag> broken).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: inline.xsl</literal></para><screen><phrase role="commit-message">Added template match for <tag>person</tag> element to fo stylesheet.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Added support for spacing="compact" in <tag>variablelist</tag>, per bug report #1722540.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message"><tag>table</tag> pgwide="1" should also use pgwide.properties attribute-set.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Make citations numbered if <parameter>bibliography.numbered</parameter> != 0.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add new profiling parameters for audience and wordsize.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Added <parameter>callout.icon.size</parameter> parameter.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl; xref.xsl</literal></para><screen><phrase role="commit-message">Add support for xlink as <tag>olink</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: autotoc.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add support for <parameter>qanda.in.toc</parameter> to fo <tag>TOC</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: component.xsl</literal></para><screen><phrase role="commit-message">Improved the page.sequence utility template for use with <tag>book</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: division.xsl</literal></para><screen><phrase role="commit-message">Refactored the big <tag>book</tag> template into smaller pieces.
Used the "page.sequence" utility template in
component.xsl to shorten the <tag>toc</tag> piece.
Added placeholder templates for front.cover and back.cover.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent; sections.xsl</literal></para><screen><phrase role="commit-message">Add <parameter>section.container.element</parameter> parameter to enable
pgwide spans inside sections.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent; component.xsl</literal></para><screen><phrase role="commit-message">Add component.titlepage.properties attribute-set to
support span="all" and other properties.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: htmltbl.xsl; table.xsl</literal></para><screen><phrase role="commit-message">Apply table.row.properties template to html <tag>tr</tag> rows too.
Add keep-with-next to table.row.properties when <tag>row</tag> is in <tag>thead</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: table.xsl</literal></para><screen><phrase role="commit-message">Add support for <parameter>default.table.frame</parameter> parameter.
Fix bug 1575446 rowsep last check for @morerows.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: refentry.xsl</literal></para><screen><phrase role="commit-message">Add support for <tag>info</tag>/<tag>title</tag> in refsections.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: qandaset.xsl</literal></para><screen><phrase role="commit-message">Make fo questions and answers behave the same way as html</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: lists.xsl</literal></para><screen><phrase role="commit-message">Added missing attribute set for <tag>procedure</tag></phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: param.xweb; biblio.xsl; docbook.xsl; param.ent; biblio-iso690.xsl</literal></para><screen><phrase role="commit-message">Added support for formatting biblioentries according to ISO690 <tag>citation</tag> style.
New <tag>bibliography</tag> style can be turned on by setting parameter <parameter>bibliography.style</parameter> to "iso690"
The code was provided by Jana Dvorakova</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent; pagesetup.xsl</literal></para><screen><phrase role="commit-message">Add header.table.properties and footer.table.properties attribute-sets.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl</literal></para><screen><phrase role="commit-message">Add <parameter>fop1.extensions</parameter> for <tag>menuchoice</tag> arrow handling exception.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.73.0-->
<sect2 xml:id="V1.73.0_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Moved declaration and documentation of <parameter>javahelp.encoding</parameter> from javahelp.xsl to the
regular "parameter machinery".</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: admon.xsl</literal></para><screen><phrase role="commit-message">Changed handling of titles for note, warning, <tag>caution</tag>, <tag>important</tag>,
<tag>tip</tag> admonitions: We now output and HTML h3 head only if
<parameter>admon.textlabel</parameter> is non-zero or if the admonition actually contains
a <tag>title</tag>; otherwise, we don't output an h3 head at all.
(Previously, we were outputting an empty h3 if the <parameter>admon.textlabel</parameter>
was zero and if the admonition had no title.)</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: xref.xsl</literal></para><screen><phrase role="commit-message">Added template for <tag>xref</tag> to <tag>area</tag>/<tag>areaset</tag>.
Part of fix for bug #1675513 (<tag>xref</tag> to <tag>area</tag> broken).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: titlepage.xsl; component.xsl; division.xsl; sections.xsl</literal></para><screen><phrase role="commit-message">Added fixes to avoid duplicate ids when <parameter>generate.id.attributes</parameter> = 1.
This (hopefully) closes bug #1671052.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: formal.xsl; pi.xsl</literal></para><screen><phrase role="commit-message">Made the dbfunclist PI work as intended. Also added doc for
dbfunclist and dbcmdlist PIs.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: pi.xsl; synop.xsl</literal></para><screen><phrase role="commit-message">Made the dbcmdlist work the way it appears to have been intended
to work. Restored dbhtml-dir template back to pi.xsl.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: titlepage.xsl; param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Added new param <parameter>abstract.notitle.enabled</parameter>.
If non-zero, in output of the <tag>abstract</tag> element on titlepages,
display of the <tag>abstract</tag> <tag>title</tag> is suppressed.
Because sometimes you really don't want or need that <tag>title</tag>
there...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: chunk-code.xsl; graphics.xsl</literal></para><screen><phrase role="commit-message">When we are chunking long descriptions for <tag>mediaobject</tag> instances
into separate HTML output files, and <parameter>use.id.as.filename</parameter> is
non-zero, if a <tag>mediaobject</tag> has an ID, use that ID as the basename
for the long-description file (otherwise, we generate an ID for it
and use that ID as the basename for the file).
The parallels the recent change made to cause IDs for <tag>legalnotice</tag>
instances to be used as basenames for <tag>legalnotice</tag> chunks.
Also, made some minor refinements to the recent changes for
<tag>legalnotice</tag> chunk handling.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: titlepage.xsl</literal></para><screen><phrase role="commit-message">Added support to the HTML stylesheets for proper processing of
<tag>orgname</tag> as a child of <tag>author</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: chunk-code.xsl</literal></para><screen><phrase role="commit-message">When $generate.legalnotice.link is non-zero and
$use.id.as.filename is also non-zero, if a <tag>legalnotice</tag> has an ID,
then instead of assigning the "ln-&lt;generatedID&gt;" basename to the
output file for that <tag>legalnotice</tag>, just use its real ID as the
basename for the file -- as we do when chunking other elements
that have IDs.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: xref.xsl</literal></para><screen><phrase role="commit-message">Handle <tag>alt</tag> text on xrefs to steps when the step doesn't have a <tag>title</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: lists.xsl</literal></para><screen><phrase role="commit-message">Added &lt;p&gt; element around <tag>term</tag> in <tag>variablelist</tag> when formatted as <tag>table</tag> to avoid misalignment of <tag>term</tag> and <tag>listitem</tag> in xhtml (non-quirks mode) output</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: qandaset.xsl</literal></para><screen><phrase role="commit-message">Added &lt;p&gt; element around <tag>question</tag> and <tag>answer</tag> labels to avoid misalignment of <tag>label</tag> and <tag>listitem</tag> in xhtml (non-quirks mode) output</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: lists.xsl</literal></para><screen><phrase role="commit-message">Added &lt;p&gt; element around callouts to avoid misalignment of <tag>callout</tag> and <tag>listitem</tag> in xhtml (non-quirks mode) output</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: inline.xsl</literal></para><screen><phrase role="commit-message">Make citations numbered if <parameter>bibliography.numbered</parameter> != 0.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: param.xweb; param.ent</literal></para><screen><phrase role="commit-message">Add support for new profiling attributes audience and wordsize.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl; xref.xsl</literal></para><screen><phrase role="commit-message">Add support for xlink olinks.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: glossary.xsl</literal></para><screen><phrase role="commit-message">Rules for normalizing <tag>glossary</tag> entries before they are sorted can be now different for each language.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: chunk-common.xsl; chunk-code.xsl; manifest.xsl; chunk.xsl</literal></para><screen><phrase role="commit-message">Refactored the chunking modules to move all named templates to
chunk-common.xsl and all match templates to chunk-code.xsl, in
order to enable better chunk customization.
See the comments in chunk.xsl for more details.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: lists.xsl</literal></para><screen><phrase role="commit-message">Add <tag>anchor</tag> for xml:id for <tag>listitem</tag> in <tag>varlistentry</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: refentry.xsl</literal></para><screen><phrase role="commit-message">Add support for <tag>info</tag>/<tag>title</tag> in refsections for db5.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: param.xweb; biblio.xsl; docbook.xsl; param.ent; biblio-iso690.xsl</literal></para><screen><phrase role="commit-message">Added support for formatting biblioentries according to ISO690 <tag>citation</tag> style.
New <tag>bibliography</tag> style can be turned on by setting parameter <parameter>bibliography.style</parameter> to "iso690"
The code was provided by Jana Dvorakova</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: inline.xsl; xref.xsl</literal></para><screen><phrase role="commit-message">Add call to class.attribute to &lt;a&gt; output elements so they can
have a class value too.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: glossary.xsl</literal></para><screen><phrase role="commit-message">Fixed bug #1644881:
* Added curly braces around all $language attribute values. 
* Moved declaration of language variable to top level of stylesheet.
Tested with Xalan, Saxon, and xsltproc.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: param.xweb; docbook.xsl; param.ent</literal></para><screen><phrase role="commit-message">Added the <parameter>man.authors.section.enabled</parameter> and
<parameter>man.copyright.section.enabled</parameter> parameters. Set those to zero when
you want to suppress display of the auto-generated AUTHORS and
<tag>COPYRIGHT</tag> sections. Closes request #1467806. Thanks to Daniel
Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">Took the test that the manpages stylesheet does to see if there
are any <tag>Refentry</tag> chilren in current doc, and made it
namespace-agnostic. Reason for that is because the test otherwise
won't work when it is copied over into the generated
profile-docbook.xsl stylesheet.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: Makefile</literal></para><screen><phrase role="commit-message">Added a manpages/profile-docbook.xsl file to enable single-pass
profiling for manpages output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: info.xsl</literal></para><screen><phrase role="commit-message">Output <tag>copyright</tag> and <tag>legalnotice</tag> in man-page output in whatever
place they are in in document order. Closes #1690539. Thanks to
Daniel Leidert for reporting.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: docbook.xsl</literal></para><screen><phrase role="commit-message">Restored support for single-pass namespace stripping to manpages
stylesheet.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: synop.xsl; block.xsl; info.xsl; inline.xsl; lists.xsl; endnotes.xsl; ut⋯</literal></para><screen><phrase role="commit-message">Changed handling of bold and italic/underline output in manpages
output. Should be transparent to users, but...

This touches handling of all bold and italic/underline output. The
exact change is that the mode="bold" and mode="italic" utility
templates were changed to named templates. (I think maybe I've
changed it back and forth from mode to named before, so this is
maybe re-reverting it yet again).

Anyway, the reason for the change is that the templates are
sometimes call on dynamically node-sets, and using modes to format
those doesn't allow passing <tag>info</tag> about the current/real context
node from the source (not the node-set created by the stylesheet)
to that formatting stage.

The named templates allow the context to be passed in as a
parameter, so that the bold/ital formatting template can use
context-aware condition checking.

This was basically necessary in order to suppress bold formatting
in titles, which otherwise gets screwed up because of the numbnut
way that roff handles nested bold/ital.

Closes #1674534). Much thanks to Daniel Leidert, whose in his
docbook-xsl bug-finding kung-fu has achieved Grand Master status.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl</literal></para><screen><phrase role="commit-message">Fixed handling of example instances by adding the example element
to the same template we use for processing <tag>figure</tag>. Closes
#1674538. Thanks to Daniel Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">Don't include lang in manpages <tag>filename</tag>/pathname if lang=en (that
is, only generate lang-qualified file-/pathnames for non-English).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: endnotes.xsl</literal></para><screen><phrase role="commit-message">In manpages output, emit warnings for notesources (<tag>footnote</tag>, etc.)
that have something other than <tag>para</tag> as a child.

The numbered-with-hanging-indent formatting that's used for
rendering endnotes in the NOTES <tag>section</tag> of man pages places some
limits/assumptions on how the DocBook source is marked up; namely,
for notesources (<tag>footnote</tag>, <tag>annotation</tag>, etc.) that can contain
block-level children, if the they have a block-level child such as
a <tag>table</tag> or <tag>itemizedlist</tag> or <tag>orderedlist</tag> that is the first child of
a <tag>footnote</tag>, we have no way of rendering/indenting its content
properly in the endnotes list.

Thus, the manpages stylesheet not emits a warning message for that
case, and suggests the "fix" (which is to wrap the <tag>table</tag> or
<tag>itemizedlist</tag> or whatever in a <tag>para</tag> that has some preferatory text.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: utility.xsl</literal></para><screen><phrase role="commit-message">Added support to mixed-block template for handling tables in
mixed-blocks (e.g., as child of <tag>para</tag>) correctly.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: table.xsl; synop.xsl; block.xsl; info.xsl; lists.xsl; refentry.xsl; end⋯</literal></para><screen><phrase role="commit-message">Reverted necessary escaping of backslash, dot, and dash
out of the well-intentioned (but it now appears,
misguided) "marker" mechanism (introduced in the 1.72.0
release) -- which made use of alternative "marker"
characters as internal representations of those
characters, and then replaced them just prior to
serialization -- and back into what's basically the
system that was used prior to the 1.69.0 release; that
is, into a part of stylesheet code that gets executed
at the beginning of processing -- before any other roff
markup up is. This change obviates the need for the
marker system. It also requires a lot less RAM during
processing (for large files, the marker mechanism
ending up requiring gigabytes of memory).

Closes bug #1661177. Thanks to Scott Smedley for
providing a test case (the fvwm man page) that exposed
the problem with the marker mechanism.

Also moved the mechanism for converting non-breaking
spaces back into the same <tag>area</tag> of the stylesheet code.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Fixed problem with incorrect formatting of nested <tag>variablelist</tag>.
Closes bug #1650931. Thanks to Daniel "Eagle Eye" Leidert.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: lists.xsl</literal></para><screen><phrase role="commit-message">Make sure that all listitems in <tag>itemizedlist</tag> and <tag>orderedlist</tag> are
preceded by a blank line. This fixes a regression that occurred
when instances of the TP macro that were use in a previous
versions of the list-handling code were switched to RS/RE (because
TP doesn't support nesting). TP automatically generates a blank
line, but RS doesn't. So I added a .sp before each .RS</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: block.xsl; inline.xsl; param.xweb; docbook.xsl; links.xsl; param.ent</literal></para><screen><phrase role="commit-message">Made a number of changes related to elements with
out-of-line content:

- Added handling for <tag>mediaobject</tag> &amp; <tag>inlinemediaobject</tag>.
  Each <tag>imagedata</tag>, <tag>audiodata</tag>, or <tag>videodata</tag> element
  within a <tag>mediaobject</tag> or inline <tag>mediaobject</tag> is now
  treated as a "notesource" and so handled in much the
  same way as links and <tag>annotation</tag>/<tag>alt</tag>/footnotes.

  That means a numbered marker is generated inline to
  mark the place in the main flow where the <tag>imagedata</tag>,
  <tag>audiodata</tag>, or <tag>videodata</tag> element occurs, and a
  corresponding numbered endnote for it is generated in
  the endnotes list at the end of the man page; the
  endnote contains the URL from the fileref attribute
  of the <tag>imagedata</tag>, <tag>audiodata</tag>, or <tag>videodata</tag> element.

  For mediobject and <tag>inlinemediaobject</tag> instances that
  have a <tag>textobject</tag> child, the <tag>textobject</tag> is displayed
  within the main text flow.

- Renamed several man.link.* params to man.endnotes.*,
  to reflect that fact that the endnotes list now
  contains more than just links. Also did similar
  renaming for a number of stylesheet-internal vars.

- Added support for xlink:href (along with existing
  support for the legacy ulink element).

- Cleaned up and streamlined the endnotes-handling
  code. It's still messy and klunky and the basic
  mechanism it uses is very inefficent for documents
  that contain a lot of notesources, but at least it's
  a bit better than it was.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Eclipse">
<title>Eclipse</title>
<para>The following changes have been made to the
            <filename>eclipse</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: Makefile</literal></para><screen><phrase role="commit-message">Fixed bug #1715093: Makefile for creating profiled version of eclipse.xsl added.</phrase></screen>
</listitem>
<listitem>
<para><literal>David Cramer: eclipse.xsl</literal></para><screen><phrase role="commit-message">Added normalize-space around  to avoid leading whitespace from appearing in the output if there's extra leading whitespace (e.g. &lt;<tag>title</tag>&gt; Foo&lt;/<tag>title</tag>&gt;) in the source</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Eclipse changes for 1.73.0-->
<sect2 xml:id="V1.73.0_JavaHelp">
<title>JavaHelp</title>
<para>The following changes have been made to the
            <filename>javahelp</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: javahelp.xsl</literal></para><screen><phrase role="commit-message">Implemented FR #1230233 (sorted <tag>index</tag> in javahelp).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: javahelp.xsl</literal></para><screen><phrase role="commit-message">Added normalize-space() around titles and <tag>index</tag> entries to work around whitespace problems.
Added support for <tag>glossary</tag> and <tag>bibliography</tag> in <tag>toc</tag> and map files.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of JavaHelp changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Roundtrip">
<title>Roundtrip</title>
<para>The following changes have been made to the
            <filename>roundtrip</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Steve Ball: blocks2dbk.xsl; wordml2normalise.xsl; normalise2sections.xsl; sections2blocks.⋯</literal></para><screen><phrase role="commit-message">new stylesheets for better word processor support and easier maintenance</phrase></screen>
</listitem>
<listitem>
<para><literal>Steve Ball: template-pages.xml; dbk2wp.xsl; sections-spec.xml</literal></para><screen><phrase role="commit-message">fixed bugs</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Roundtrip changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: htmlhelp.button.back.xml; htmlhelp.button.forward.xml; htmlhelp.button.zo⋯</literal></para><screen><phrase role="commit-message">Modified <tag>refpurpose</tag> text.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: htmlhelp.map.file.xml; htmlhelp.force.map.and.alias.xml; htmlhelp.alias.f⋯</literal></para><screen><phrase role="commit-message">Fixed typos, made some small changes.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: javahelp.encoding.xml</literal></para><screen><phrase role="commit-message">Moved declaration and documentation of <parameter>javahelp.encoding</parameter> from javahelp.xsl to the
regular "parameter machinery".</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: generate.id.attributes.xml</literal></para><screen><phrase role="commit-message">Added <tag>refpurpose</tag> text.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: annotation.js.xml; annotation.graphic.open.xml; annotation.graphic.close.⋯</literal></para><screen><phrase role="commit-message">Added better <tag>refpurpose</tag> texts.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: chunker.output.cdata-section-elements.xml; chunker.output.standalone.xm⋯</literal></para><screen><phrase role="commit-message">Fixed some broken formatting in source files for chunker.* params,
as pointed out by Dave Pawson.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: label.from.part.xml</literal></para><screen><phrase role="commit-message">Changed handling of <tag>reference</tag> auto-labeling such that <tag>reference</tag>
(when it appears at the component level) is now affected by the
<parameter>label.from.part</parameter> param, just as <tag>preface</tag>, <tag>chapter</tag>, and <tag>appendix</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: callout.graphics.extension.xml</literal></para><screen><phrase role="commit-message">Clarified that 'extension' refers to file names.</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: abstract.notitle.enabled.xml</literal></para><screen><phrase role="commit-message">Added new param <parameter>abstract.notitle.enabled</parameter>.
If non-zero, in output of the <tag>abstract</tag> element on titlepages,
display of the <tag>abstract</tag> <tag>title</tag> is suppressed.
Because sometimes you really don't want or need that <tag>title</tag>
there...</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: man.string.subst.map.xml</literal></para><screen><phrase role="commit-message">Updated manpages string-substitute map to reflect fact that
because of another recent change to suppress bold markup in .SH
output, we no longer need to add a workaround for the accidental
uppercasing of roff escapes that occurred previously.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: margin.note.float.type.xml; title.font.family.xml; table.frame.border.color.x⋯</literal></para><screen><phrase role="commit-message">Improved parameter metadata</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: profile.wordsize.xml; profile.audience.xml</literal></para><screen><phrase role="commit-message">Add support for profiling on new attributes audience and wordsize.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: callout.graphics.number.limit.xml; callout.graphics.extension.xml</literal></para><screen><phrase role="commit-message">Added SVG graphics for fo output.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: callout.icon.size.xml</literal></para><screen><phrase role="commit-message">Set size of <tag>callout</tag> graphics.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: default.units.xml; chunker.output.method.xml; toc.list.type.xml; output.inden⋯</literal></para><screen><phrase role="commit-message">Updated parameter metadata to the new format.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: man.output.quietly.xml; title.font.family.xml; footnote.sep.leader.properties⋯</literal></para><screen><phrase role="commit-message">Added type annotations into parameter definition files.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: section.container.element.xml</literal></para><screen><phrase role="commit-message">Support spans in sections for certain processors.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: component.titlepage.properties.xml</literal></para><screen><phrase role="commit-message">Empty attribute set for top level component titlepage block.
Allows setting a span on <tag>title</tag> <tag>info</tag>.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: bibliography.style.xml</literal></para><screen><phrase role="commit-message">Added <tag>link</tag> to WiKi page with description of special markup needed for ISO690 biblioentries</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: make.year.ranges.xml</literal></para><screen><phrase role="commit-message">Clarify that multiple <tag>year</tag> elements are required.</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: id.warnings.xml</literal></para><screen><phrase role="commit-message">Turn off <parameter>id.warnings</parameter> by default.</phrase></screen>
</listitem>
<listitem>
<para><literal>Jirka Kosek: bibliography.style.xml</literal></para><screen><phrase role="commit-message">Added support for formatting biblioentries according to ISO690 <tag>citation</tag> style.
New <tag>bibliography</tag> style can be turned on by setting parameter <parameter>bibliography.style</parameter> to "iso690"
The code was provided by Jana Dvorakova</phrase></screen>
</listitem>
<listitem>
<para><literal>Robert Stayton: header.table.properties.xml; footer.table.properties.xml</literal></para><screen><phrase role="commit-message">Support adding <tag>table</tag> properties to header and footer tables.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Highlighting">
<title>Highlighting</title>
<para>The following changes have been made to the
            <filename>highlighting</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Jirka Kosek: c-hl.xml; xslthl-config.xml</literal></para><screen><phrase role="commit-message">Added support for C language. Provided by Bruno Guegan.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Highlighting changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Profiling">
<title>Profiling</title>
<para>The following changes have been made to the
            <filename>profiling</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Robert Stayton: profile-mode.xsl</literal></para><screen><phrase role="commit-message">Add support for new profiling attributes audience and wordsize.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Profiling changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Lib">
<title>Lib</title>
<para>The following changes have been made to the
            <filename>lib</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: lib.xweb</literal></para><screen><phrase role="commit-message">Changed name of prepend-pad template to pad-string and twheeked so
it can do both right/left padding.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Lib changes for 1.73.0-->
<sect2 xml:id="V1.73.0_Tools">
<title>Tools</title>
<para>The following changes have been made to the
            <filename>tools</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: bin; bin/docbook-xsl-update</literal></para><screen><phrase role="commit-message">Did some cleanup to the install.sh source and added a
docbook-xsl-update script to the docbook-xsl distro, the purpose
of which is to facilitate easy sync-up to the latest docbook-xsl
snapshot (by means of rsync).</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of Tools changes for 1.73.0-->
<sect2 xml:id="V1.73.0_XSL-Saxon">
<title>XSL-Saxon</title>
<para>The following changes have been made to the
            <filename>xsl-saxon</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/Verbatim.java; xalan27/src/com/nwalsh/xalan/⋯</literal></para><screen><phrase role="commit-message">Added modifications so that the new <parameter>callout.icon.size</parameter> parameter is taken into account. This 
parameter is used for FO output (where SVG now is the default graphics format for callouts).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: saxon65/src/com/nwalsh/saxon/FormatCallout.java; xalan27/src/com/nwalsh/x⋯</literal></para><screen><phrase role="commit-message">Added code for generating id attributes on callouts in HTML and FO output.
These patches enable cross-references to callouts placed by <tag>area</tag> coordinates.
It works for graphic, unicode and text callouts. 
Part of fix for bug #1675513 (<tag>xref</tag> to <tag>area</tag> broken).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: saxon65/src/com/nwalsh/saxon/Website.java; xalan27/src/com/nwalsh/xalan⋯</literal></para><screen><phrase role="commit-message">Copied over Website XSL Java extensions.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Saxon changes for 1.73.0-->
<sect2 xml:id="V1.73.0_XSL-Xalan">
<title>XSL-Xalan</title>
<para>The following changes have been made to the
            <filename>xsl-xalan</filename> code
            since the 1.72.0 release.</para>
<itemizedlist>
<listitem>
<para><literal>Michael(tm) Smith: Makefile; xalan2</literal></para><screen><phrase role="commit-message">Turned off xalan2.jar build. This removes DocBook XSL
Java extensions support for versions of Xalan prior to
Xalan 2.7. If you are currently using the extensions
with an earlier version of Xalan, you need to upgrade
to Xalan 2.7.</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/Verbatim.java; xalan27/src/com/nwalsh/xalan/⋯</literal></para><screen><phrase role="commit-message">Added modifications so that the new <parameter>callout.icon.size</parameter> parameter is taken into account. This 
parameter is used for FO output (where SVG now is the default graphics format for callouts).</phrase></screen>
</listitem>
<listitem>
<para><literal>Mauritz Jeanson: saxon65/src/com/nwalsh/saxon/FormatCallout.java; xalan27/src/com/nwalsh/x⋯</literal></para><screen><phrase role="commit-message">Added code for generating id attributes on callouts in HTML and FO output.
These patches enable cross-references to callouts placed by <tag>area</tag> coordinates.
It works for graphic, unicode and text callouts. 
Part of fix for bug #1675513 (<tag>xref</tag> to <tag>area</tag> broken).</phrase></screen>
</listitem>
<listitem>
<para><literal>Michael(tm) Smith: saxon65/src/com/nwalsh/saxon/Website.java; xalan27/src/com/nwalsh/xalan⋯</literal></para><screen><phrase role="commit-message">Copied over Website XSL Java extensions.</phrase></screen>
</listitem>
</itemizedlist>
</sect2><!--end of XSL-Saxon changes for 1.73.0-->
</sect1><!--end of changes for the 1.73.0 release-->

<sect1 xml:id="V1.72.0">
<title>Release: 1.72.0</title>
<para>This release includes important bug fixes and adds the following
significant feature changes:
<variablelist>
  <varlistentry>
    <term>Automatic sorting of glossary entries</term>
    <listitem>
      <para>The HTML and FO stylesheets now support automatic sorting
      of <tag>glossary</tag> entries. To enable glossary sorting, set
      the value of the <parameter>glossary.sort </parameter> parameter
      to <code>1</code> (by default, it’s value is
      <code>0</code>). When you enable glossary sorting,
      <tag>glossentry</tag> elements within a <tag> glossary</tag>,
      <tag>glossdiv</tag>, or <tag>glosslist</tag> are sorted on the
      <tag>glossterm</tag>, using the current language setting. If you
      don’t enable glossary sorting, then the order of
      <tag>glossentry</tag> elements is left “as is” — that is, they
      are not sorted but are instead just displayed in document
      order.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>WordML renamed to Roundtrip, OpenOffice support added</term>
    <listitem>
    <para>Stylesheets for “roundtrip” conversion between documents in
    OpenOffice format (ODF) and DocBook XML have been added to the set
    of stylesheets that formerly had the collective title
    <wordasword>WordML</wordasword>, and that set of stylesheets has
    been renamed to <wordasword>Roundtrip</wordasword> to better
    reflect the actual scope and purpose of its contents.</para>
    <para>So the DocBook XSL Stylesheets now support roundtrip
    conversion (with certain limitations) of WordML, OpenOffice, and
    Apple Pages documents to and from DocBook XML.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Including QandASet questions in TOCs</term>
    <listitem>
      <para>The HTML stylesheet now provides support for including
      <tag>QandASet</tag> <tag>question</tag>s in the document TOC. To
      enable display of <tag>question</tag>s in the document TOC, set
      the value of the <parameter>qanda.in.toc</parameter> to
      <code>1</code> (by default, it’s <code>0</code>). When you
      enable <parameter>qanda.in.toc</parameter>, then the generated
      table of contents for a document will include
      <tag>qandaset</tag> titles, <tag>qandadiv</tag> titles, and
      <tag>question</tag> elements. The default value of zero
      excludes them from the TOC.
      <note>
        <para>The <parameter>qanda.in.toc</parameter> parameter does
        not affect any tables of contents that may be generated
        <emphasis>within</emphasis> a <tag>qandaset</tag> or
        <tag>qandadiv</tag> (only in the document TOC).</para>
      </note>
      </para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Language identifier in man-page filenames and pathnames</term>
    <listitem>
      <para>Added new parameter <parameter
      >man.output.lang.in.name.enabled</parameter>, which controls whether
      a language identifier is included in man-page filenames and
      pathnames. It works like this:</para>

      <para>If the value of <parameter
      >man.output.lang.in.name.enabled</parameter> is non-zero,
      man-page files are output with a language identifier included in
      their filenames or pathnames as follows:</para>

      <itemizedlist>
        <listitem><para>if
        <parameter>man.output.subdirs.enabled</parameter> is non-zero,
        each file is output to, e.g., a
        <filename>/$lang/man8/foo.8</filename> pathname</para></listitem>

        <listitem><para>if
        <parameter>man.output.subdirs.enabled</parameter> is zero,
        each file is output with a <tag>foo.$lang.8</tag>
        filename</para></listitem>
      </itemizedlist>

    </listitem>
  </varlistentry>
  <varlistentry>
    <term><parameter>index.page.number.properties</parameter> property set</term>
    <listitem>
      <para>For FO output, use the
      <parameter>index.page.number.properties</parameter> to control
      formatting of page numbers in <tag>index</tag> output — to (for
      example) to display page numbers in <tag>index</tag> output in a
      different color (to indicate that they are links).</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Crop marks in output from Antenna House XSL Formatter</term>
    <listitem>
      <para>Support has been added for generating crop marks in
      print/PDF output generated using Antenna House XSL Formatter</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>More string-substitution hooks in manpages output</term>
    <listitem>
      <para>The <parameter>man.string.subst.map.local.pre</parameter>
      and <parameter>man.string.subst.map.local.post</parameter>
      parameters have been added to enable easier control over
      custom string substitutions.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Moved verbatim properties to attribute-set</term>
    <listitem>
      <para>The hardcoded properties used in verbatim elements (literallayout,
      programlisting, screen) were moved to the verbatim.properties 
      attribute-set so they can be more easily customized.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>enhanced simple.xlink template</term>
    <listitem>
      <para>Now the simple.xlink template in inline.xsl works with
      cross reference elements xref and link as well.  Also, more elements
      call simple.xlink, which enables DB5 xlink functionality.
      </para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>DocBook 5 compatibility</term>
    <listitem>
      <para>Stylesheets now consistently support DocBook 5 attributes
      (such as xml:id). Also, DocBook 5 info elements are now checked
      along with other *info elements, and the use of name() function
      was replaced by local-name() so it also matches on DocBook 5 elements.
      These changes enable reusing the stylesheets with DocBook 5 
      documents with minimal fixup.
      </para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>HTML class attributes now handled in class.attribute mode </term>
    <listitem>
      <para>The HTML class attributes were formerly hardcoded to the 
      element name.  Now the class attribute is generated by applying
      templates in class.attribute mode so class attribute names
      can be customized. The default is still the element name.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>arabic-indic numbering enabled in autolabels</term>
    <listitem>
      <para>Numbering of chapter, sections, and pages can now use
      arabic-indic numbering when number format is set to 'arabicindic' or
      to &#x661;.</para>
    </listitem>
  </varlistentry>
</variablelist>
The following is a detailed list of changes (not
including bug fixes) that have been made since the 1.71.1
release.</para>

<sect2 xml:id="V1.72.0_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Add support for arabicindic numbering to autolabel.format template.<alt>M: /trunk/xsl/common/labels.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Finish support for @xml:id everywhere @id is used.<alt>M: /trunk/xsl/common/gentext.xsl; M: /trunk/xsl/common/titles.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">replace name() with local-name() in most cases.<alt>M: /trunk/xsl/common/l10n.xsl; M: /trunk/xsl/common/olink.xsl; M: /trunk/xsl/common/subtitles.xsl; M: /trunk/xsl/common/labels.xsl; M: /trunk/xsl/common/titles.xsl; M: /trunk/xsl/common/common.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for <tag>info</tag>.<alt>M: /trunk/xsl/common/subtitles.xsl; M: /trunk/xsl/common/labels.xsl; M: /trunk/xsl/common/titles.xsl; M: /trunk/xsl/common/common.xsl; M: /trunk/xsl/common/targets.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add utility template tabstyle to return the tabstyle from
any <tag>table</tag> element.<alt>M: /trunk/xsl/common/table.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.72.0-->

<sect2 xml:id="V1.72.0_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Add support for sorting <tag>glossary</tag> entries<alt>M: /trunk/xsl/fo/param.xweb; M: /trunk/xsl/fo/param.ent; M: /trunk/xsl/fo/glossary.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add table.row.properties template to customize <tag>table</tag> rows.<alt>M: /trunk/xsl/fo/table.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Moved all properties to attribute-sets so can be customized more easily.<alt>M: /trunk/xsl/fo/verbatim.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add index.page.number.properties attribute-set to format page numbers.<alt>M: /trunk/xsl/fo/autoidx.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message"><tag>xref</tag> now supports xlink:href, using simple.xlink template.<alt>M: /trunk/xsl/fo/xref.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Rewrote simple.xlink, and call it with all charseq templates.<alt>M: /trunk/xsl/fo/inline.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add simple.xlink processing to <tag>term</tag> and <tag>member</tag> elements.<alt>M: /trunk/xsl/fo/lists.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for crop marks in Antenna House.<alt>M: /trunk/xsl/fo/axf.xsl; M: /trunk/xsl/fo/pagesetup.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.72.0-->

<sect2 xml:id="V1.72.0_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Add support for sorting <tag>glossary</tag> entries<alt>M: /trunk/xsl/html/glossary.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for <parameter>qanda.in.toc</parameter> to add <tag>qandaentry</tag> questions to document <tag>TOC</tag>.<alt>M: /trunk/xsl/html/autotoc.xsl; M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">add simple.xlink support to <tag>variablelist</tag> <tag>term</tag> and <tag>simplelist</tag> <tag>member</tag>.<alt>M: /trunk/xsl/html/lists.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">*.propagates.style now handled in class.attribute mode.<alt>M: /trunk/xsl/html/inline.xsl; M: /trunk/xsl/html/lists.xsl; M: /trunk/xsl/html/table.xsl; M: /trunk/xsl/html/block.xsl; M: /trunk/xsl/html/footnote.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">add class parameter to class.attribute mode to set default class.<alt>M: /trunk/xsl/html/html.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Convert all class attributes to use the class.attribute mode
so class names can be customized more easily.<alt>M: /trunk/xsl/html/titlepage.xsl; M: /trunk/xsl/html/chunk-code.xsl; M: /trunk/xsl/html/division.xsl; M: /trunk/xsl/html/sections.xsl; M: /trunk/xsl/html/math.xsl; M: /trunk/xsl/html/block.xsl; M: /trunk/xsl/html/info.xsl; M: /trunk/xsl/html/footnote.xsl; M: /trunk/xsl/html/lists.xsl; M: /trunk/xsl/html/admon.xsl; M: /trunk/xsl/html/refentry.xsl; M: /trunk/xsl/html/qandaset.xsl; M: /trunk/xsl/html/graphics.xsl; M: /trunk/xsl/html/biblio.xsl; M: /trunk/xsl/html/task.xsl; M: /trunk/xsl/html/component.xsl; M: /trunk/xsl/html/glossary.xsl; M: /trunk/xsl/html/callout.xsl; M: /trunk/xsl/html/index.xsl; M: /trunk/xsl/html/synop.xsl; M: /trunk/xsl/html/verbatim.xsl; M: /trunk/xsl/html/ebnf.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add class.attribute mode to generate class attributes.<alt>M: /trunk/xsl/html/html.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added simple.xlink to most remaining inlines.
Changed class attributes to applying class.attributes mode.<alt>M: /trunk/xsl/html/inline.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Changed <tag>xref</tag> template to use simple.xlink tempalte.<alt>M: /trunk/xsl/html/xref.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Improve generate.html.title to work with <tag>link</tag> targets too.<alt>M: /trunk/xsl/html/html.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Improved simple.xlink to support <tag>link</tag> and <tag>xref</tag>.<alt>M: /trunk/xsl/html/inline.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Use new link.title.attribute now.<alt>M: /trunk/xsl/html/xref.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Rewrote simple.xlink to handle linkend also.
Better computation of <tag>title</tag> attribute on <tag>link</tag> too.<alt>M: /trunk/xsl/html/inline.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Handle Xalan quirk as special case.<alt>M: /trunk/xsl/html/db5strip.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for <tag>info</tag>.<alt>M: /trunk/xsl/html/admon.xsl; M: /trunk/xsl/html/autotoc.xsl; M: /trunk/xsl/html/lists.xsl; M: /trunk/xsl/html/refentry.xsl; M: /trunk/xsl/html/biblio.xsl; M: /trunk/xsl/html/qandaset.xsl; M: /trunk/xsl/html/component.xsl; M: /trunk/xsl/html/glossary.xsl; M: /trunk/xsl/html/division.xsl; M: /trunk/xsl/html/index.xsl; M: /trunk/xsl/html/sections.xsl; M: /trunk/xsl/html/table.xsl; M: /trunk/xsl/html/block.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Fixed imagemaps so they work properly going from calspair coords
to HTML <tag>area</tag> coords.<alt>M: /trunk/xsl/html/graphics.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.72.0-->

<sect2 xml:id="V1.72.0_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added doc for <parameter>man.output.lang.in.name.enabled</parameter> parameter. This
checkin completes support for writing file/pathnames for man-pages
with $lang include in the names. Closes #1585967. knightly
accolades to Daniel Leidert for providing the feature request.<alt>M: /trunk/xsl/manpages/param.xweb; M: /trunk/xsl/manpages/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added new param <parameter>man.output.lang.in.name.enabled</parameter>, which
controls whether $LANG value is included in manpages
filenames and pathnames. It works like this:

If the value of <parameter>man.output.lang.in.name.enabled</parameter> is non-zero,
man-page files are output with the $lang value included in
their filenames or pathnames as follows;

- if <parameter>man.output.subdirs.enabled</parameter> is non-zero, each file is
  output to, e.g., a /$lang/man8/foo.8 pathname

- if <parameter>man.output.subdirs.enabled</parameter> is zero, each file is output
  with a foo.$lang.8 <tag>filename</tag><alt>M: /trunk/xsl/manpages/docbook.xsl; M: /trunk/xsl/manpages/other.xsl; M: /trunk/xsl/manpages/utility.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Use "\e" instead of "\\" for backslash output, because the
groff docs say that's the correct thing to do; also because
testing (thanks, Paul Dubois) shows that "\\" doesn't always
work as expected; for example, "\\" within a <tag>table</tag> seems to
mess things up.<alt>M: /trunk/xsl/manpages/charmap.groff.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added the <parameter>man.string.subst.map.local.pre</parameter> and
<parameter>man.string.subst.map.local.post</parameter> parameters. Those parameters
enable local additions and changes to string-substitution mappings
without the need to change the value of <parameter>man.string.subst.map</parameter>
parameter (which is for standard system mappings). Closes
#1456738. Thanks to Sam Steingold for constructing a true
stylesheet torture test (the clisp docs) that exposed the need for
these params.<alt>M: /trunk/xsl/manpages/param.xweb; M: /trunk/xsl/manpages/param.ent; M: /trunk/xsl/manpages/other.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added the Markup element to the list of elements that get output
in bold. Thanks to Eric S. Raymond.<alt>M: /trunk/xsl/manpages/inline.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Replaced all dots in roff requests with U+2302 ("house"
character), and added escaping in output for all instances of dot
that are not in roff requests. This fixes the problem case where a
string beginning with a dot (for example, the string ".bashrc")
might occur at the beginning of a line in output, in which case 
would mistakenly get interpreted as a roff request. Thanks to Eric
S. Raymond for pushing to fix this.<alt>M: /trunk/xsl/manpages/table.xsl; M: /trunk/xsl/manpages/synop.xsl; M: /trunk/xsl/manpages/block.xsl; M: /trunk/xsl/manpages/info.xsl; M: /trunk/xsl/manpages/lists.xsl; M: /trunk/xsl/manpages/refentry.xsl; M: /trunk/xsl/manpages/links.xsl; M: /trunk/xsl/manpages/other.xsl; M: /trunk/xsl/manpages/utility.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Made change to ensure that list content nested in
<tag>itemizedlist</tag> and <tag>orderedlist</tag> instances is properly indented. This
is a switch from using .TP to format those lists to using .RS/.RE
to format them instead (because .TP does not allow nesting). Closes bug #1602616.
Thanks to Daniel Leidert.<alt>M: /trunk/xsl/manpages/lists.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.72.0-->

<sect2 xml:id="V1.72.0_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added doc for <parameter>man.output.lang.in.name.enabled</parameter> parameter. This
checkin completes support for writing file/pathnames for man-pages
with $lang include in the names. Closes #1585967. knightly
accolades to Daniel Leidert for providing the feature request.<alt>A: /trunk/xsl/params/man.output.lang.in.name.enabled.xml - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added new param <parameter>man.output.lang.in.name.enabled</parameter>, which
controls whether $LANG value is included in manpages
filenames and pathnames. It works like this:

If the value of <parameter>man.output.lang.in.name.enabled</parameter> is non-zero,
man-page files are output with the $lang value included in
their filenames or pathnames as follows;

- if <parameter>man.output.subdirs.enabled</parameter> is non-zero, each file is
  output to, e.g., a /$lang/man8/foo.8 pathname

- if <parameter>man.output.subdirs.enabled</parameter> is zero, each file is output
  with a foo.$lang.8 <tag>filename</tag><alt>M: /trunk/xsl/manpages/docbook.xsl; M: /trunk/xsl/manpages/other.xsl; M: /trunk/xsl/manpages/utility.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added the <parameter>man.string.subst.map.local.pre</parameter> and
<parameter>man.string.subst.map.local.post</parameter> parameters. Those parameters
enable local additions and changes to string-substitution mappings
without the need to change the value of <parameter>man.string.subst.map</parameter>
parameter (which is for standard system mappings). Closes
#1456738. Thanks to Sam Steingold for constructing a true
stylesheet torture test (the clisp docs) that exposed the need for
these params.<alt>A: /trunk/xsl/params/man.string.subst.map.local.post.xml; A: /trunk/xsl/params/man.string.subst.map.local.pre.xml; M: /trunk/xsl/params/man.string.subst.map.xml - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add index.page.number.properties by default.<alt>M: /trunk/xsl/params/xep.index.item.properties.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added <parameter>index.page.number.properties</parameter> to allow customizations of page numbers in indexes.<alt>A: /trunk/xsl/params/index.page.number.properties.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Move show-destination="replace" property from template to attribute-set
so it can be customized.<alt>M: /trunk/xsl/params/olink.properties.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for sorting <tag>glossary</tag> entries<alt>A: /trunk/xsl/params/glossary.sort.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add option to include qanda in tables of contents.<alt>A: /trunk/xsl/params/qanda.in.toc.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Moved all properties to attribute-sets so can be customized more easily.<alt>M: /trunk/xsl/params/verbatim.properties.xml - Robert Stayton</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.72.0-->

<sect2 xml:id="V1.72.0_Template">
<title>Template</title>
<para>The following changes have been made to the
            <filename>template</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added workaround for Xalan bug: use for-each and copy instead of copy-of (#1604770).<alt>M: /trunk/xsl/template/titlepage.xsl - Mauritz Jeanson</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Template changes for 1.72.0-->

<sect2 xml:id="V1.72.0_Roundtrip">
<title>Roundtrip</title>
<para>The following changes have been made to the
            <filename>roundtrip</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">rename to roundtrip, add OpenOffice support<alt>M: /trunk/xsl/roundtrip/docbook-pages.xsl; M: /trunk/xsl/roundtrip/specifications.xml; A: /trunk/xsl/roundtrip/dbk2ooo.xsl; M: /trunk/xsl/roundtrip/docbook.xsl; A: /trunk/xsl/roundtrip/dbk2pages.xsl; M: /trunk/xsl/roundtrip/template.xml; A: /trunk/xsl/roundtrip/dbk2wordml.xsl; A: /trunk/xsl/roundtrip/dbk2wp.xsl; M: /trunk/xsl/roundtrip/template.dot; M: /trunk/xsl/roundtrip/wordml-final.xsl - Steve Ball</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Roundtrip changes for 1.72.0-->
</sect1><!--end of V1.72.0-->

<sect1 xml:id="V1.71.1">
<title>Release: 1.71.1</title>
<para>This is a minor update to the 1.71.0 release. Along with a
number of bug fixes, it includes two feature changes:

<itemizedlist>
  <listitem>
    <para>Added support for profiling based on <tag
    class="attribute">xml:lang</tag> and <tag
    class="attribute">status</tag> attributes.</para>
  </listitem>
  <listitem>
    <para>Added initial support in manpages output for
    <tag>footnote</tag>, <tag>annotation</tag>, and <tag>alt</tag>
    instances. Basically, they all now get handled the same way
    <tag>ulink</tag> instances are. They are treated as a class as
    "note sources": A numbered marker is generated at the place in the
    main text flow where they occur, then their contents are displayed
    in an endnotes section at the end of the man page.</para>
  </listitem>
</itemizedlist>
</para>

<sect2 xml:id="V1.71.1_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">For backward compatability autoidx-ng.xsl is invoking "kosek" indexing method again.<alt>D: /trunk/xsl/common/autoidx-ng.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for Xalan generating a root xml:base like saxon.<alt>M: /trunk/xsl/common/stripns.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.71.1-->

<sect2 xml:id="V1.71.1_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">For backward compatability autoidx-ng.xsl is invoking "kosek" indexing method again.<alt>M: /trunk/xsl/fo/autoidx-ng.xsl; M: /trunk/xsl/fo/autoidx-kosek.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for Xalan to add root node xml:base for db5 docs.<alt>M: /trunk/xsl/fo/docbook.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added support for profiling based on xml:lang and status attributes.<alt>M: /trunk/xsl/fo/param.xweb; M: /trunk/xsl/fo/param.ent - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.71.1-->

<sect2 xml:id="V1.71.1_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">For backward compatability autoidx-ng.xsl is invoking "kosek" indexing method again.<alt>M: /trunk/xsl/html/autoidx-ng.xsl; M: /trunk/xsl/html/autoidx-kosek.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Add support for Xalan to add root node xml:base for db5 docs.<alt>M: /trunk/xsl/html/chunk-code.xsl; M: /trunk/xsl/html/docbook.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added support for profiling based on xml:lang and status attributes.<alt>M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Made changes in namespace declarations to prevent xmllint's
canonicalizer from treating them as relative namespace URIs.

  - Changed xmlns:k="java:com.isogen.saxoni18n.Saxoni18nService"
    to xmlns:k="http://www.isogen.com/functions/com.isogen.saxoni18n.Saxoni18nService";
    Saxon accepts either form
    (see http://www.saxonica.com/documentation/extensibility/functions.html);
    to Saxon, "the part of the URI before the final '/' is immaterial".

  - Changed, e.g. xmlns:xverb="com.nwalsh.xalan.Verbatim" to
    xmlns:xverb="xalan://com.nwalsh.xalan.Verbatim"; Xalan accepts
    either form
    (see http://xml.apache.org/xalan-j/extensions.html#java-namespace-declare);
    just as Saxon does, it will "simply use the string to the
    right of the rightmost forward slash as the Java class name".

  - Changed xmlns:xalanredirect="org.apache.xalan.xslt.extensions.Redirect"
    to xmlns:redirect="http://xml.apache.org/xalan/redirect", and
    adjusted associated code to make the current Xalan redirect spec.
    (see http://xml.apache.org/xalan-j/apidocs/org/apache/xalan/lib/Redirect.html)<alt>M: /trunk/xsl/html/oldchunker.xsl; M: /trunk/xsl/html/chunker.xsl; M: /trunk/xsl/html/graphics.xsl; M: /trunk/xsl/html/callout.xsl; M: /trunk/xsl/html/autoidx-kimber.xsl; M: /trunk/xsl/html/autoidx-kosek.xsl; M: /trunk/xsl/html/table.xsl; M: /trunk/xsl/html/verbatim.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added the <parameter>html.append</parameter> and <parameter>chunk.append</parameter> parameters. By default, the
value of both is empty; but the internal DocBook XSL stylesheets
build sets their value to "&lt;xsl:text&gt;&amp;#x0a;&lt;/xsl:text&gt;", in order
to ensure that all files in the docbook-xsl-doc package end in a
newline character. (Because diff and some other tools may emit
error messages and/or not behave as expected when processing
files that are not newline-terminated.)<alt>M: /trunk/xsl/html/chunk-common.xsl; M: /trunk/xsl/html/titlepage.xsl; M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/docbook.xsl; M: /trunk/xsl/html/graphics.xsl; M: /trunk/xsl/html/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.71.1-->

<sect2 xml:id="V1.71.1_Highlighting">
<title>Highlighting</title>
<para>The following changes have been made to the
            <filename>highlighting</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added license information<alt>M: /trunk/xsl/highlighting/delphi-hl.xml; M: /trunk/xsl/highlighting/myxml-hl.xml; M: /trunk/xsl/highlighting/php-hl.xml; M: /trunk/xsl/highlighting/m2-hl.xml; M: /trunk/xsl/highlighting/ini-hl.xml; M: /trunk/xsl/highlighting/xslthl-config.xml; M: /trunk/xsl/highlighting/java-hl.xml - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Highlighting changes for 1.71.1-->

<sect2 xml:id="V1.71.1_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added initial support in manpages output for <tag>footnote</tag>, <tag>annotation</tag>,
and <tag>alt</tag> instances. Basically, they all now get handled the same
way ulink instances are. They are treated as a class as "note
sources": A numbered marker is generated at the place in the main
text flow where they occur, then their contents are displayed in
an endnotes <tag>section</tag> at the end of the man page (currently titled
REFERENCES, for English output, but will be changed to NOTES).

This support is not yet complete. It works for most "normal"
cases, but probably mishandles a good number of cases. More
testing will be needed to expose the problems. It may well also
introduce some bugs and regressions in other areas, including
basic paragraph handling, handling of "mixed block" content,
handling of other indented content, and handling of authorblurb
and <tag>personblurb</tag> in the AUTHORS <tag>section</tag>.<alt>M: /trunk/xsl/manpages/table.xsl; M: /trunk/xsl/manpages/block.xsl; M: /trunk/xsl/manpages/docbook.xsl; M: /trunk/xsl/manpages/links.xsl; M: /trunk/xsl/manpages/other.xsl; M: /trunk/xsl/manpages/utility.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Manpages changes for 1.71.1-->

<sect2 xml:id="V1.71.1_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added support for profiling based on xml:lang and status attributes.<alt>A: /trunk/xsl/params/profile.status.xml - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added the <parameter>html.append</parameter> and <parameter>chunk.append</parameter> parameters. By default, the
value of both is empty; but the internal DocBook XSL stylesheets
build sets their value to "&lt;xsl:text&gt;&amp;#x0a;&lt;/xsl:text&gt;", in order
to ensure that all files in the docbook-xsl-doc <tag>package</tag> end in a
newline character. (Because diff and some other tools may emit
error messages and/or not behave as expected when processing
files that are not newline-terminated.)<alt>A: /trunk/xsl/params/html.append.xml; A: /trunk/xsl/params/chunk.append.xml - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Params changes for 1.71.1-->

<sect2 xml:id="V1.71.1_Profiling">
<title>Profiling</title>
<para>The following changes have been made to the
            <filename>profiling</filename> code
            since the 1.71.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added support for profiling based on xml:lang and status attributes.<alt>M: /trunk/xsl/profiling/profile.xsl; M: /trunk/xsl/profiling/profile-mode.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Profiling changes for 1.71.1-->

</sect1>

<sect1 xml:id="V1.71.0">
<title>Release: 1.71.0</title>
<para>This is mainly a bug fix release, but it also includes two
significant feature changes:
<variablelist>
  <varlistentry>
    <term>Highlighting support added</term>
    <listitem>
      <para>The stylesheets now include support for source-code
      highlighting in output of programlisting instances (controlled
      through the <parameter>highlight.source</parameter>
      parameter). The Java-based implementation requires Saxon and
      makes use of <link
      xlink:href="http://molhanec.net/"><person><personname
      ><firstname>Michal</firstname><surname
      >Molhanec</surname></personname></person></link>’s <link
      xlink:href="http://sourceforge.net/projects/xslthl"
      >XSLTHL</link>. More details are available at Jirka Kosek’s
      website: <blockquote ><simpara ><link
      xlink:href="http://xmlguru.cz/2006/07/docbook-syntax-highlighting"/></simpara
      ></blockquote> The support is currently limited to highlighting
      of XML, Java, PHP, Delphi, Modula-2 sources, and INI
      files.</para>
    </listitem>
  </varlistentry>
  <varlistentry>
    <term>Changes to autoindexing</term>
    <listitem>
      <para>The templates that handle alternative indexing methods
      were reworked to avoid errors produced by certain processors not
      being able to tolerate the presence of unused functions.  With
      this release, none of the code for the 'kimber' or 'kosek'
      methods is included in the default stylesheets.  In order to use
      one of those methods, your customization layer must import one
      of the optional stylesheet modules:</para>
      <para>
        <itemizedlist>
           <listitem>
             <simpara>html/autoidx-kosek.xsl</simpara>
           </listitem>
           <listitem>
             <simpara>html/autoidx-kimber.xsl</simpara>
           </listitem>
           <listitem>
             <simpara>fo/autoidx-kosek.xsl</simpara>
           </listitem>
           <listitem>
             <simpara>fo/autoidx-kimber.xsl</simpara>
           </listitem>
        </itemizedlist>
        See the <parameter>index.method</parameter> parameter
        reference page for more information.
      </para>
      <para>Two other changes to note:
      <itemizedlist>
        <listitem>
          <simpara>The default indexing method now can handle accented
          characters in latin-based alphabets, not just English. This
          means accented latin letters will group and sort with their
          unaccented counterpart.</simpara>
        </listitem>
        <listitem>
          <simpara>The default value for the
          <parameter>index.method</parameter> parameter was changed
          from 'english' to 'basic' because now the default method can
          handle latin-based alphabets, not just English.</simpara>
        </listitem>
      </itemizedlist>
      </para>
    </listitem>
  </varlistentry>
</variablelist>
The following is a list of changes that have
been made since the 1.70.1 release.</para>

<sect2 xml:id="V1.71.0_Common">
<title>Common</title>
<para>The following changes have been made to the
            <filename>common</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>

<listitem>
<literallayout><phrase role="commit-message">Added <parameter>reference.autolabel</parameter> parameter for controlling labels on
<tag>reference</tag> output.<alt>M: /trunk/xsl/common/labels.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support <tag>row</tag>s that are *completely* overlapped by the preceding <tag>row</tag><alt>M: /trunk/xsl/common/table.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">New modules for supporting indexing extensions.<alt>A: /trunk/xsl/common/autoidx-kimber.xsl; A: /trunk/xsl/common/autoidx-kosek.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support startinglinenumber on <tag>orderedlist</tag><alt>M: /trunk/xsl/common/common.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Common changes for 1.71.0-->

<sect2 xml:id="V1.71.0_Extensions">
<title>Extensions</title>
<para>The following changes have been made to the
            <filename>extensions</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Completely reworked extensions build system; now uses NetBeans and ant<alt>D: /trunk/xsl/extensions/xalan27/.cvsignore; A: /trunk/xsl/extensions/saxon65/nbproject; A: /trunk/xsl/extensions/saxon65/nbproject/project.properties; D: /trunk/xsl/extensions/prj.el; A: /trunk/xsl/extensions/saxon65/src; A: /trunk/xsl/extensions/xalan2/src/com; M: /trunk/xsl/extensions/xalan2/src/com/nwalsh/xalan/Text.java; A: /trunk/xsl/extensions/saxon65/nbproject/project.xml; D: /trunk/xsl/extensions/build.xml; A: /trunk/xsl/extensions/saxon65/build.xml; A: /trunk/xsl/extensions/xalan2/nbproject/genfiles.properties; A: /trunk/xsl/extensions/saxon65; D: /trunk/xsl/extensions/xalan2/com; M: /trunk/xsl/extensions/xalan2/src/com/nwalsh/xalan/Func.java; A: /trunk/xsl/extensions/xalan2/test; A: /trunk/xsl/extensions/saxon65/src/com; A: /trunk/xsl/extensions/xalan2/nbproject/build-impl.xml; A: /trunk/xsl/extensions/xalan2/nbproject; A: /trunk/xsl/extensions/xalan2/src; A: /trunk/xsl/extensions/xalan2/nbproject/project.properties; D: /trunk/xsl/extensions/.cvsignore; M: /trunk/xsl/extensions/Makefile; D: /trunk/xsl/extensions/saxon8; A: /trunk/xsl/extensions/saxon65/nbproject/genfiles.properties; A: /trunk/xsl/extensions/xalan2/nbproject/project.xml; A: /trunk/xsl/extensions/saxon65/test; M: /trunk/xsl/extensions/xalan2/src/com/nwalsh/xalan/Verbatim.java; A: /trunk/xsl/extensions/xalan2/build.xml; M: /trunk/xsl/extensions/xalan2; D: /trunk/xsl/extensions/saxon643; A: /trunk/xsl/extensions/saxon65/nbproject/build-impl.xml - Norman Walsh</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Extensions changes for 1.71.0-->

<sect2 xml:id="V1.71.0_FO">
<title>FO</title>
<para>The following changes have been made to the
            <filename>fo</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>

<listitem>
<literallayout><phrase role="commit-message">xsl:sort lang attribute now uses two-char substring of lang attribute.<alt>M: /trunk/xsl/fo/autoidx-kimber.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Support titlecase "Java", "Perl", and "IDL" as values for the
language attribute on <tag>classsynopsis</tag>, etc. (instead of just
lowercase "java", "perl", and "idl"). Also support "c++" and "C++"
(instead of just "cpp").

Affects HTML, FO, and manpages output. Closes bug 1552332. Thanks
to "Brian A. Vanderburg II".<alt>M: /trunk/xsl/fo/synop.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added support for the <parameter>reference.autolabel</parameter> param in (X)HTML and FO
output.<alt>M: /trunk/xsl/fo/param.xweb; M: /trunk/xsl/fo/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Support <tag>row</tag>s that are *completely* overlapped by the preceding <tag>row</tag><alt>M: /trunk/xsl/fo/table.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Rearranged templates for the 3 indexing methods
and changed method named 'english' to 'basic'.<alt>M: /trunk/xsl/fo/autoidx.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">New modules for supporting indexing extensions.<alt>A: /trunk/xsl/fo/autoidx-kimber.xsl; A: /trunk/xsl/fo/autoidx-kosek.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Turn off blank-body for <parameter>fop1.extensions</parameter> too since fop 0.92
does not support it either.<alt>M: /trunk/xsl/fo/pagesetup.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Add Xalan variant to test for exslt:node-set <tag>function</tag>.
Xalan can use <tag>function</tag> named node-set(), but doesn't
recognize it using function-available().<alt>M: /trunk/xsl/fo/autoidx.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added support to FO stylesheets for handling instances of <tag>Org</tag>
where it occurs outside of *<tag>info</tag> content. In HTML stylesheets,
moved handling of <tag>Org</tag> out of info.xsl and into inline.xsl. In both
FO and HTML stylesheets, added support for correctly processing
<tag>Affiliation</tag> and <tag>Jobtitle</tag>.<alt>M: /trunk/xsl/fo/inline.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Don't output punctuation between <tag>Refname</tag> and <tag>Refpurpose</tag> if
<tag>Refpurpose</tag> is empty. Also corrected handling of <tag>Refsect2</tag>/<tag>title</tag>
instances, and removed some debugging stuff that was generated in
manpages output to mark the ends of sections.<alt>M: /trunk/xsl/fo/refentry.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added new <parameter>email.delimiters.enabled</parameter> param. If non-zero (the
default), delimiters are generated around e-mail addresses (output
of the <tag>email</tag> element). If zero, the delimiters are suppressed.<alt>M: /trunk/xsl/fo/inline.xsl; M: /trunk/xsl/fo/param.xweb; M: /trunk/xsl/fo/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Initial support of syntax highlighting of programlistings.<alt>M: /trunk/xsl/fo/param.ent; M: /trunk/xsl/fo/param.xweb; A: /trunk/xsl/fo/highlight.xsl; M: /trunk/xsl/fo/verbatim.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message"><tag>Chapter</tag> after <tag>preface</tag> should restart numbering of pages.<alt>M: /trunk/xsl/fo/pagesetup.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of FO changes for 1.71.0-->

<sect2 xml:id="V1.71.0_HTML">
<title>HTML</title>
<para>The following changes have been made to the
            <filename>html</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>

<listitem>
<literallayout><phrase role="commit-message">xsl:sort lang attribute now uses two-char substring of lang attribute.<alt>M: /trunk/xsl/html/autoidx-kimber.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support titlecase "Java", "Perl", and "IDL" as values for the
language attribute on <tag>classsynopsis</tag>, etc. (instead of just
lowercase "java", "perl", and "idl"). Also support "c++" and "C++"
(instead of just "cpp").

Affects HTML, FO, and manpages output. Closes bug 1552332. Thanks
to "Brian A. Vanderburg II".<alt>M: /trunk/xsl/html/synop.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added support for the <parameter>reference.autolabel</parameter> param in (X)HTML and FO
output.<alt>M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support <tag>row</tag>s that are *completely* overlapped by the preceding <tag>row</tag><alt>M: /trunk/xsl/html/table.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Rearranged templates for the 3 indexing methods
and changed method named 'english' to 'basic'.<alt>M: /trunk/xsl/html/autoidx.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">New modules for supporting indexing extensions.<alt>A: /trunk/xsl/html/autoidx-kimber.xsl; A: /trunk/xsl/html/autoidx-kosek.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added several new HTML parameters for controlling appearance of
content on HTML <tag>title</tag> pages:

<parameter>contrib.inline.enabled</parameter>:
  If non-zero (the default), output of the <tag>contrib</tag> element is
  displayed as inline content rather than as block content.

<parameter>othercredit.like.author.enabled</parameter>:
  If non-zero, output of the <tag>othercredit</tag> element on titlepages is
  displayed in the same style as <tag>author</tag> and <tag>editor</tag> output. If zero
  (the default), <tag>othercredit</tag> output is displayed using a style
  different than that of <tag>author</tag> and <tag>editor</tag>.

<parameter>blurb.on.titlepage.enabled</parameter>:
  If non-zero, output from authorblurb and <tag>personblurb</tag> elements is
  displayed on <tag>title</tag> pages. If zero (the default), output from
  those elements is suppressed on <tag>title</tag> pages (unless you are
  using a titlepage customization that causes them to be included).

<parameter>editedby.enabled</parameter>
  If non-zero (the default), a localized Edited by heading is
  displayed above <tag>editor</tag> names in output of the <tag>editor</tag> element.<alt>M: /trunk/xsl/html/titlepage.xsl; M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Add Xalan variant to test for exslt:node-set <tag>function</tag>.
Xalan can use <tag>function</tag> named node-set(), but doesn't
recognize it using function-available().<alt>M: /trunk/xsl/html/autoidx.xsl - Robert Stayton</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added support to FO stylesheets for handling instances of <tag>Org</tag>
where it occurs outside of *<tag>info</tag> content. In HTML stylesheets,
moved handling of <tag>Org</tag> out of info.xsl and into inline.xsl. In both
FO and HTML stylesheets, added support for correctly processing
<tag>Affiliation</tag> and <tag>Jobtitle</tag>.<alt>M: /trunk/xsl/html/inline.xsl; M: /trunk/xsl/html/info.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Don't output punctuation between <tag>Refname</tag> and <tag>Refpurpose</tag> if
<tag>Refpurpose</tag> is empty. Also corrected handling of <tag>Refsect2</tag>/<tag>title</tag>
instances, and removed some debugging stuff that was generated in
manpages output to mark the ends of sections.<alt>M: /trunk/xsl/html/refentry.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added new <parameter>email.delimiters.enabled</parameter> param. If non-zero (the
default), delimiters are generated around e-mail addresses (output
of the <tag>email</tag> element). If zero, the delimiters are suppressed.<alt>M: /trunk/xsl/html/inline.xsl; M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Added <parameter>qanda.nested.in.toc</parameter> param. Default value is zero. If
non-zero, instances of "nested" <tag>Qandaentry</tag> (ones that are children
of <tag>Answer</tag> elements) are displayed in the <tag>TOC</tag>. Closes patch 1509018
(from Daniel Leidert). Currently on affects HTML output (no patch
for FO output provided).<alt>M: /trunk/xsl/html/param.xweb; M: /trunk/xsl/html/param.ent; M: /trunk/xsl/html/qandaset.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>


<listitem>
<literallayout><phrase role="commit-message">Improved handling of relative locations generated files<alt>M: /trunk/xsl/html/html.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Initial support of syntax highlighting of programlistings.<alt>M: /trunk/xsl/html/param.ent; M: /trunk/xsl/html/param.xweb; A: /trunk/xsl/html/highlight.xsl; M: /trunk/xsl/html/verbatim.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support <tag>org</tag><alt>M: /trunk/xsl/html/info.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support <tag>person</tag><alt>M: /trunk/xsl/html/inline.xsl - Norman Walsh</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Support $keep.relative.image.uris also when chunking<alt>M: /trunk/xsl/html/chunk-code.xsl - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of HTML changes for 1.71.0-->

<sect2 xml:id="V1.71.0_Highlighting">
<title>Highlighting</title>
<para>The following changes have been made to the
            <filename>highlighting</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>

<listitem>
<literallayout><phrase role="commit-message">Initial support of syntax highlighting of programlistings.<alt>A: /trunk/xsl/highlighting/php-hl.xml; A: /trunk/xsl/highlighting/common.xsl; A: /trunk/xsl/highlighting/delphi-hl.xml; A: /trunk/xsl/highlighting/myxml-hl.xml; A: /trunk/xsl/highlighting/m2-hl.xml; A: /trunk/xsl/highlighting/ini-hl.xml; A: /trunk/xsl/highlighting/xslthl-config.xml; A: /trunk/xsl/highlighting/java-hl.xml - Jirka Kosek</alt></phrase></literallayout>
</listitem>
</itemizedlist>
</sect2><!--end of Highlighting changes for 1.71.0-->

<sect2 xml:id="V1.71.0_Manpages">
<title>Manpages</title>
<para>The following changes have been made to the
            <filename>manpages</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>

<listitem>
<literallayout><phrase role="commit-message">Suppress <tag>footnote</tag> markers and output warning that footnotes are
not yet supported.<alt>M: /trunk/xsl/manpages/docbook.xsl; M: /trunk/xsl/manpages/links.xsl; M: /trunk/xsl/manpages/other.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Handle instances of <tag>address</tag>/<tag>otheraddr</tag>/ulink in <tag>author</tag> et al in the
same way as <tag>email</tag> instances; that is, display them on the same
linke as the <tag>author</tag>, <tag>editor</tag>, etc., name.<alt>M: /trunk/xsl/manpages/info.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Don't number or link-list any Ulink instance whose string value is
identical to the value of its url attribute. Just display it inline.<alt>M: /trunk/xsl/manpages/links.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">Don't output punctuation between <tag>Refname</tag> and <tag>Refpurpose</tag> if
<tag>Refpurpose</tag> is empty. Also corrected handling of <tag>Refsect2</tag>/<tag>title</tag>
instances, and removed some debugging stuff that was generated in
manpages output to mark the ends of sections.<alt>M: /trunk/xsl/manpages/refentry.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
<literallayout><phrase role="commit-message">Added new <parameter>email.delimiters.enabled</parameter> param. If non-zero (the
default), delimiters are generated around e-mail addresses (output
of the <tag>email</tag> element). If zero, the delimiters are suppressed.<alt>M: /trunk/xsl/manpages/param.xweb; M: /trunk/xsl/manpages/param.ent - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

<listitem>
<literallayout><phrase role="commit-message">In manpages output, if the last/nearest *<tag>info</tag> element for
particular <tag>Refentry</tag> has multiple <tag>Copyright</tag> and/or <tag>Legalnotice</tag>
children, process them all (not just the first ones). Closes bug
1524576. Thanks to Sam Steingold for the report and to Daniel
Leidert for providing a patch.<alt>M: /trunk/xsl/manpages/info.xsl - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>

</itemizedlist>
</sect2><!--end of Manpages changes for 1.71.0-->

<sect2 xml:id="V1.71.0_Params">
<title>Params</title>
<para>The following changes have been made to the
            <filename>params</filename> code
            since the 1.70.1 release.</para>
<itemizedlist>
<listitem>
<literallayout><phrase role="commit-message">Added <parameter>reference.autolabel</parameter> parameter for controlling labels on
<tag>reference</tag> output.<alt>A: /trunk/xsl/params/reference.autolabel.xml - Michael(tm) Smith</alt></phrase></literallayout>
</listitem>
<listitem>
